Overview

This Help system provides complete instructions for using the Detroit Diesel Diagnostic Link.

The Detroit Diesel Diagnostic Link is a sophisticated software package supporting the setting up, maintenance and repair of engines using the DDEC II, DDEC III, DDEC IV and DDEC V Engine Control Modules, and for MBE Engines.

Many functions are applicable to both DDEC and MBE engines, though in some cases the details are different. However, some functions are specific to DDEC or MBE engines only. This Help will make clear which types of engine a function applies to and, if it applies to both types, any differences there may be.

The capabilities of the program can be roughly divided into:

  • Calibration functions
  • Diagnostic/maintenance functions.


Calibration functions

You can use the Detroit Diesel Diagnostic Link to:

  • Retrieve and display the current calibration from an ECM
  • Save a calibration for the ECM in an individual truck.
  • Save a single calibration with an ECM password, so that the same calibration can be used conveniently for a fleet of trucks with the same password, or can be used by a technician who does not have access to the password.
  • Change the engine rating of a truck.
  • Set the injector calibration when you replace the injectors.
  • Set the ECM clock automatically using the PC's internal clock
  • View an audit trail of ECM, injector calibration, ECM clock changes and Vehicle Speed setting changes.

All operations that change the engine calibration are password protected, with more potentially damaging operations requiring higher levels of password authority.


Diagnostic/maintenance functions

You can use the Detroit Diesel Diagnostic Link to:

  • Monitor a wide range of parameters while connected live to the ECM.
  • Select a group of these parameters and plot how they have varied over the last two minutes.
  • Take and save a snapshot of how the parameters vary over a period of time, so that you can replay the snapshot for detailed analysis.
  • Monitor fault codes as they occur while connected live to the ECM. You can also clear any inactive fault codes stored in the ECM.
  • Test for faults by checking the effect on performance of cutting out individual cylinders.
  • View a record of the injector timings.
  • View the ECM output functions and set them to particular values to support troubleshooting. This can be particularly useful when troubleshooting electrical problems.
  • Display specific troubleshooting help for any active or inactive fault codes.
  • View engine and trip totals.
  • View the status of a set of maintenance monitors.


Registration

Until you register the software, a registration dialog box is displayed when you start up.

When you contact technical support to register the software, you will need to quote the Tool ID (see About Detroit Diesel Diagnostic Link for more information about how the tool identifier is used). They will then give you a registration code to enter in the Registration Code box. When you have entered the code, press Register to record your registration.

You can use the software for a limited period (shown in the registration dialog box) without registering by pressing Proceed. However, the dialog box will be displayed each time you start up the program until you register it, and you will not be able to use the program at all after the time limit has expired.

After you have pressed Register or Proceed, a welcome screen is displayed allowing you to choose some of the functions most frequently used in Detroit Diesel Diagnostic Link.


Passwords (DDEC)

The ECM’s settings are protected by passwords. When you use the Detroit Diesel Diagnostic Link to change settings you must enter the appropriate password within the program before you can transmit the changes to the ECM.

There are four different types of password, depending on which settings you want to change:

  • The Calibration Password is used to protect most of the calibration settings in the ECM.
  • The Ratings Password gives additional protection to the rating setting, as this can have major consequences for engine life as well as performance: you have to enter both the calibration and rating passwords to change the rating.
  • The Group Lockout Password allows an administrator to choose other functions for protection with an extra password: you have to enter both the calibration and function lockout passwords to change the functions locked out.
  • The injector calibration is protected by a separate password.

The Detroit Diesel Diagnostic Link allows fleet managers to restrict access to calibration passwords, by allowing them to save an encrypted copy of the password with a calibration. A technician can then use the program without needing to know the password to actually transmit the calibration to the ECM (or several ECMs, provided they all use the same password). If the technician changes the saved calibration after opening it, the program will not transmit the changed calibration unless the password is entered again.

As well as allowing you to enter the appropriate passwords, the program allows you to change them and record the change in the ECM.

See also:

Back Door DDEC V Password for how to bypass the Calibration password for DDEC V.

Passwords (MBE) for details of how to use passwords with MBE engines.


Back Door DDEC V Password

If required, it is possible to bypass the password by obtaining a "Back Door" password from your local Detroit Diesel distributor or from the Detroit Diesel MBE Technical Service. This could be necessary if you forget your password or purchase a used vehicle that has a password set but you do not know what it is.

Note

The procedure described below is new for DDEC V.

To enter a Back Door password to change the DDEC V password without knowing the existing password:

  1. Make a note of the full engine serial number.

This is displayed in the Engine Configuration Data window if you are connected to an ECM when you press Close in the Welcome screen after you first connect with the Detroit Diesel Diagnostic Link.

Alternatively, choose Engine Configuration Data from the Diagnostics menu to display the Engine Configuration Data window.

  2. Choose Passwords from the Calibration menu to display the ChangePassword dialog box:

  3. Press Back Door to display the Seed to get Back Door Password dialog box:

  4. Make a note of the code appearing in the Seed box.
  5. Contact your local Detroit Diesel distributor or from the Detroit Diesel MBE Technical Service person and ask them for a Back Door password.

You will need to give them the complete engine serial number and the Seed number in the Back Door Password dialog box.

They will give you a Back Door password.

When you have the Back Door password you may insert it for any function that calls for a password. In particular, you can use it in the Change Password dialog box (and the Change Injector Password dialog box) to change any of the other passwords if you have forgotten them.

Note

The Back Door password is valid for one engine hour only - the password will become invalid when the engine hour counter changes. You will need to get a new Back Door password if the engine hours count changes.


Passwords (MBE)

VCU software versions 13.xx and 14.19 supports a general password protecting all VCU parameters; beginning with version 14.20 you can protect certain parameter groups with additional password levels.

The levels currently available and the parameters they protect are:

  • Level 1 - All VCU parameters
  • Level 2 - Maintenance Alert / Optimized Idle parameters
  • Level 3 - Low Gear Torque Limiting and Progressive Shift
  • Level 4 - Limiters (Parameter Groups 3, 5, 6)
  • Level 5 - PTO / Idle Shutdown parameters
  • Level 6 - I/O Configuration, Engine Protection, Fan Control, Engine Brake, Trans Type

Level 7 was not assigned at the time of writing this Help.

Note

MBE passwords may consist of up to 10 digits - letters and other characters are not allowed.

To enable password protection or set a new password:

  1. Choose Passwords from the Calibration menu to display the MBE Password Change dialog box:

Note

The Old field will be grayed out (and password protection will not be in effect) if you have not yet set a password for the selected level.

  2. If you have already set a password and want to change it, type your old password in the Old box (note that for security the numbers you type will not be shown on the screen when you type in passwords).
  3. Type your new password in the New box.
  4. Type your new password again into the Confirm New box to check that you typed it correctly.
  5. Press Close to close the dialog box and set your new password.

If required, it is possible to bypass the password by obtaining a "Back Door" password from your local Detroit Diesel distributor or Detroit Diesel MBE Technical Service. This could be necessary if you forget your password or purchase a used vehicle that has a password set but you do not know what it is - see Back Door MBE Password for details.

See also

Passwords (DDEC) for an overview of how to use passwords with DDEC controlled engines.


Back Door MBE Password

If required, it is possible to bypass the password by obtaining a "Back Door" password from your local Detroit Diesel distributor or from the Detroit Diesel MBE Technical Service. This could be necessary if you forget your password or purchase a used vehicle that has a password set but you do not know what it is.

Note

DO NOT TURN OFF THE IGNITION, ONCE YOU HAVE BEGUN THE BACK DOOR PROCESS . THE NUMBERS YOU ARE GENERATING WILL CHANGE AND YOU WILL HAVE TO START OVER.

To enter a Back Door password to change the MBE password without knowing the existing password:

  1. Make a note of the full 14-digit engine serial number.

This is displayed in the Engine Configuration Data window if you are connected to an ECM when you press Close in the Welcome screen after you first connect with the Detroit Diesel Diagnostic Link.

Alternatively, choose Engine Configuration Data from the Diagnostics menu to display the Engine Configuration Data window.

  2. Choose Passwords from the Calibration menu to display the MBE Password Change dialog box:

  3. Press Back Door to display the Back Door Password dialog box:

  4. Make a note of both the numbers appearing in the A and B boxes at the top of the dialog box.

Note

Remember, do not turn off the ignition.

  5. Contact your local Detroit Diesel distributor or from the Detroit Diesel MBE Technical Service person and ask them for a Back Door password.

You will need to give them the complete engine serial number and the 2 numbers in the Back Door Password dialog box.

They will give you a Back Door password.

  6. Enter the Back Door password you have been given into the box at the bottom of the Back Door Password dialog box and press Submit.

A confirmation dialog box will be displayed:

  7. Use the MBE Password Change dialog box to set a new password - provided you have not turned off the ignition, you will not need to enter the old password.


Starting the Detroit Diesel Diagnostic Link offline

If the PC is connected to a 'live' ECM when you start the Detroit Diesel Diagnostic Link the program will start up online communicating with the ECM.

However, if the PC is not connected to a 'live' ECM when you start the Detroit Diesel Diagnostic Link, or if there is a problem with the connection, the program will display a warning dialog box, for example:

When you press OK, the program will start up working [image] offline.

The connection indicator in the toolbar shows whether you are connected to an ECM or are working offline:

If you believe the PC is in fact physically connected to a ‘live’ ECM, follow the advice in the dialog box to solve the problem.

To connect the Detroit Diesel Diagnostic Link when it is offline to a 'live' ECM connected to the PC so that you can work online:

Press the connect button [image].


Printing offline

If you are using a laptop you may not have a printer connected while you are using the program. However, you can still use Print (and the Print buttons in dialog boxes) to create print jobs that can be printed later when you connect a printer to the PC.

The procedure is as follows:

Set the printer to work offline

  1. Choose Settings from the Start menu, and then choose Printers to open the Printers folder.
  2. Click the icon for the printer that you want to use.
  3. Choose Work Offline from the File Menu. A check will appear next to the command to indicate this printer is now working offline, and the printer icon will be partially grayed out.
  4. Optionally, choose Set As Default from the File menu. A check will appear next to the command to indicate this is now the default printer.

(This step is not strictly necessary as you can always choose which printer to use when you print from Detroit Diesel Diagnostic Link, but it saves time if you are always going to use the same printer.)

Use Detroit Diesel Diagnostic Link storing information to be printed later

Use Detroit Diesel Diagnostic Link, choosing Print from the File menu or pressing the Print button in dialog boxes for all the information you want to print. The information will be stored to be printed later.

Set the printer to work online, and print all the saved information

  1. Connect the printer to the laptop.
  2. Choose Settings from the Start menu, and then choose Printers to open the Printers folder again.
  3. Click the icon for the printer you want to use.
  4. Choose Work Offline from the File menu again. The check will disappear from next to the command to show that you are no longer working offline, the printer icon will be displayed normally, and the information will be printed.


The Welcome Screen

The welcome screen is displayed when you start up the Detroit Diesel Diagnostic Link.

It provides important warning information about safety procedures you should adopt while using Detroit Diesel Diagnostic Link. You should read this carefully and ensure that the advice given is followed at all times.

The Welcome Screen also provides a number of buttons giving you quick access to the most commonly used functions. These functions can also be accessed using menu commands or buttons in the Toolbar.

  • Press Close to close the welcome screen if you prefer to work just with the menus and buttons in the Toolbar.
  • Press Quit to exit Detroit Diesel Diagnostic Link altogether if you have changed your mind about running the program.
  • Click on the links below to see what the other buttons do.

Open an existing calibration file

Press Open an existing calibration file to display a standard Windows' "Open" dialog box so that you can choose a previously saved calibration file.

Once you have selected the calibration file, the calibration will be shown in the Calibration window.

Pressing Open an existing calibration file is equivalent to choosing Open from the File menu.

Retrieve the calibration from the ECM

Press Retrieve the calibration from the ECM to download the calibration of the ECM currently connected to the PC and display it in the Calibration window.

Once downloaded, you can save it to use as the basis for the calibration of other ECMs or edit it to change the calibration of the connected ECM.

Pressing Retrieve the calibration from the ECM is equivalent to choosing Retrieve from the Calibration menu.

Look at the instrumentation values

Press Look at the instrumentation values to open the Instrumentation window so that you can monitor the performance of the engine connected to the PC.

Pressing Look at the instrumentation values is equivalent to choosing Diagnostic Instrumentation or Normal Instrumentation (depending on which type was last displayed) from the Diagnostics menu.

Look at active and inactive faults

Press Look at active and inactive faults to open the Fault Codes window to view a report of any currently active or inactive fault codes generated by the ECM connected to the PC.

The fault codes window allows you to display troubleshooting help for the specific fault code and clear all or selected inactive codes from the ECM.

Pressing Look at active and inactive faults is equivalent to choosing Fault Codes from the Diagnostics menu.

Start recording a snapshot

Press Start recording a snapshot to begin recording the ECM output for later replay and detailed analysis.

While the recording is made, any fault codes are recorded, but you can also mark the recording with user events to show the time of events that are not marked directly by the ECM such as, for example, a change in engine noise.

When you replay the snapshot, you can use the Instrumentation Window to see how parameters change and the Fault Codes window to view fault codes. You can also pause the replay at any point and jump to any event, such as a fault code occurring or a user event.

Pressing Start recording a snapshot is equivalent to choosing New from the Snapshot menu.

Start DDEC Reports

Press Start DDEC Reports to run DDEC Reports – see the separate Help for DDEC Reports.


The Calibration window

The Calibration window is displayed when you choose Open from the File menu to create a new calibration or open a previously saved one, or Retrieve in the Calibration menu to download the calibration from an ECM connected to your PC.

The window allows you to examine and set the calibration of an ECM connected to your PC.

The contents of the Calibration window depend on whether you are using a DDEC or MBE engine. See:

Calibration window for DDEC

Calibration window for MBE

See also:

Rounding of values in the Calibration window


Calibration window for DDEC

The Calibration window for DDEC has a number of different pages labeled by tabs at the top of the window:

Notes

The calibration parameters available depend on whether you are using a DDEC II, DDEC III, DDEC IV or DDEC V.

For DDEC III the Vehicle Unit Number is separate from the Vehicle Identifier that you can set and view in Detroit Diesel Communications but they are the same for DDEC IV and DDEC V.

The controls may be:

  • enabled and editable.

    The values are shown as black text against a white background with a black caption - [image] example.

    The check box and spin box are both enabled and editable.

  • enabled and read-only.

    The values are shown as black text against a gray background with a black caption - [image] example.

    The Optimized Idle drop-down list box is read-only - it shows that Optimized Idle is Enabled, and you cannot change its setting since the control is read-only.

  • disabled.

    The values are blank against a gray background with a dark gray caption - [image] example.

    The Lower Limit and Upper Limit spin boxes are disabled because the (enabled) Override check box is unchecked.

Controls may be disabled if you are connected to an ECM that does not support that feature or if it depends on some other control, such as a check box, that has not been selected.

To view the different pages of data shown in the window:

Click on the tab labeling the page holding the data group, or hold the Control key down while you press the number key shown on the tab.

To close the Calibration window:

Press Close or choose Close from the File menu.

Although they are concerned with different types of data, in most of the pages you use the same techniques for setting values, so rather than give separate details for each page, Changing the calibration gives general instructions for changing the calibration.

However, the Lockout tab is rather different in nature, so this is described separately.


Changing the calibration (DDEC)

In the Calibration window (see Calibration window for MBE or Calibration window for DDEC), calibration information may be shown in:

  • a [image] spin box

    Change the value by typing in a new value, or click on the up and down arrows to increase or decrease the value shown.

  • a [image] drop-down list box

    Choose an option by clicking on the arrow to show a list of choices to select from, and then selecting the required option.

  • a [image] check box

    Click in the box to enable or disable the feature shown by the label.

Some values may be disabled (grayed) unless the relevant check box option has been enabled. An option will also be grayed if you are connected to an ECM that does not support that feature.

When you change a value or setting it is shown by highlighting in red.

Note

The range of numbers shown to the right of a spin box shows what values are allowed. If you enter a value outside this range, the limit you have broken will be shown by highlighting in red, and you will be told to change it when you attempt to move to another tab, or try to save or transmit the calibration.

To transmit the calibration shown in the calibration window to the ECM:

  1. For DDEC, enter the ECM's password into the Password box (for security the numbers you type will not be shown).

(There is no need to enter a password for MBE engines, so the Password box is disabled)

  2. Press Transmit.
  3. If for any reason there is a failure during the transmission, the REPROGRAMMING FAILED dialog box will be displayed:

  • Press Retry to send the failed data again.
  • Press Continue to continue sending the remaining data and leave the parameter for which the recalibration data failed unchanged. One reason for doing this is if there is a problem reprogramming an individual parameter because of differences in ECM versions - pressing Continue allows you to reprogram the other parameters.
  • Press Abort to stop sending data. You will be advised to switch off the ignition for 10 seconds so that any recalibration data you have already sent will be cleared from the ECM memory.

To reset all the values that you have changed since you last saved the calibration or transmitted it to the ECM:

Press Reset.

All the values highlighted in red will be reset to the last saved or transmitted values.

See also:

Rounding of values in the Calibration window


Function Lockout

Function Lockout (DDEC III software revision 4 or later)

The Lockout tab in the Calibration window allows you to protect certain functions in the ECM so that they can only be changed if you have the function lockout password as well as the calibration password.

If the ECM supports function lockout, the Lockout tab will show the current lockout settings when the calibration is retrieved from the ECM.

The settings in the Lockout tab affect the settings you can make in the other tabs. If the lockout tab shows you are locked out of a particular function, you will not be able to change it.

To change the functions locked out in the ECM:

  1. Type the lockout password into the Group Lockout Password box. This enables the check boxes in the tab.
  2. Check any functions that you want locked out (prevented from being changed), and uncheck any that you want to be able to change.
  3. Enter the calibration password in the Password box.
  4. Press Transmit to send the new lockout settings to the ECM.

Note

The group lockout password unlocks all of the functions, so once you have entered it, you can change any of the calibration settings in the other tabs, whether they are locked out or not.


Calibration window for MBE

The Calibration window for MBE electronics contains a list of the PLD & VCU parameter groups:

The parameter groups are represented by folder icons in the Calibration window. Like in Windows Explorer, you can open a group "folder" to view the parameters in the group.

To view the values of individual parameters in a group:

Click on the + in front of the folder icon for the group containing the parameter:

Click on the - in front of the folder icon to close the group again.

The parameters are shown in:

  • black text if they are editable.
  • gray text if they are just for information and cannot be changed.

The parameters are identified using a five digit number such as 10806. The structure of this code is as follows:

1 | 08 | 06
The first digit is 0 or 1. The value shows if the parameter is from the PLD (0) or VCU (1). | The second and third digits identify the parameter group. In this example, with version 13 software, VCU group 8 is the Vehicle Speed Sensor group. | The final two digits identify the parameter within the group. In this example, with version 13 software, parameter 6 in the Vehicle Speed Sensor group is Top Gear Ratio.

Notes

The parameter numbers in Version 13 of the VCU software are completely different from those in Version 12.

The number of parameters that can be changed using the Detroit Diesel Diagnostic Link has increased in Version 13.

See also:

Changing PLD/VCU parameter values using the Detroit Diesel Diagnostic Link

VCU version 12 and PLD Parameters that can be changed in DDDL and VCU version 13 and PLD Parameters that can be changed in DDDL for lists showing the PLD/VCU parameters that can be changed in the Detroit Diesel Diagnostic Link.

MBE Parameter List Appendix in the Troubleshooting help for complete parameter lists of PLD and VCU default values (PLD versions 4, 5 and 6; VCU versions 11.03, 12.xx and 13).


Changing PLD/VCU parameter values using the Detroit Diesel Diagnostic Link

To change a PLD/VCU parameter value in the Calibration window and transmit the new value to the ECM:

  1. Click in the Value column for the parameter. The parameter will be selected and, depending on the parameter, spin buttons or a drop-down list button will appear in the Value cell:

  2. Either:

Type in a new value or click on the spin buttons to change the value.

Or

Click on the drop-down list button and select the required setting from the list.

  3. Repeat 2 and 3 for any other parameters you want to change.

Note

Changing the values in the Calibration window does not automatically change the values in the ECM - the following steps are required to transmit the new values to the ECM.

  4. Press Transmit.
  5. If you have changed a VCU parameter and password protection is enabled for VCU parameters, the Calibration Parameter Unlock dialog box will be displayed (otherwise go to Step 6):

Note

Beginning with VCU software version 14.20, you can protect certain parameter groups with their own passwords (see Passwords (MBE) for details). If you have set these individual password levels and you are trying to change parameters within the groups protected by them, the Calibration Parameter Unlock dialog box will show boxes for all the required passwords.

Enter the relevant password(s) in all the boxes and press OK.

  6. A dialog box will be displayed while the data is sent to the ECM.
  7. Once the data has been sent to the ECM, you will be prompted to turn the ignition off so that the changes can be committed to the ECM:

Turn the ignition Off.

The dialog box will count down until it is safe to turn the ignition on again:

  8. Once the count down is complete, you will be prompted to turn the ignition on again.

Turn the ignition on - the dialog box will disappear when the ignition is switched on.

To close the Calibration window:

  1. Press Close or choose Close from the File menu.
  2. If you have made any changes to the parameters, you will be asked if you want to save the changed calibration in a file.

Press No if you want to close the Calibration window without saving the changes.

Press Cancel if you have changed your mind about closing the Calibration window - no changes will be saved.

Press Yes if you want to save the changed calibration in a file and then close the Calibration window.

  3. If you pressed Yes at Step 2, a standard windows Save As dialog box will be displayed - use this dialog box to select a location and enter a file name for the calibration file.

See also:

VCU version 12 and PLD Parameters that can be changed in DDDL and VCU version 13 and PLD Parameters that can be changed in DDDL for lists showing the PLD/VCU parameters that can be changed in the Detroit Diesel Diagnostic Link.

MBE Parameter List Appendix in the Troubleshooting help ???? for complete parameter lists of PLD and VCU default values (PLD versions 4, 5 and 6; VCU versions 11.03, 12.xx and 13).


Rounding of values in the Calibration window

If you type a value with decimal places into a spin box, you may find the value is rounded when you click in another field. There are two reasons for Detroit Diesel Diagnostic Link working in this way:

  • The ECM only stores values to a limited precision (such as, for example, .5 mph).
  • You are using different units from the units used by the ECM. For example you are using metric units while the ECM typically uses US units.

When you enter a value in a spin box, Detroit Diesel Diagnostic Link converts the value to the ECMs units and rounds the result to the closest value that the ECM can use (this is the value that will actually be used if you transmit the data to the ECM).

If you are using the same unit as the ECM this value will be the value displayed in the spin box. If you are using a different unit, the value will be converted back and rounded to the nearest suitable figure for display (typically the nearest whole number or .5).

Because the converted figure is rounded, the figure shown is not precisely equivalent to the value in the ECM. However, the granularity of the display is chosen to be always at least as fine as the granularity of the ECM.

As an example, suppose the ECM can store values of 0, 0.5, 1, 1.5, 2 mph. However, if you are using metric units in Detroit Diesel Diagnostic Link, the spin box will only be able to show 0, 1, 1.5, 2.5, 3 km/h - note the uneven spacing in the possible metric values.

A related effect arises with the limit values. To make them clearer, they are rounded to the nearest whole number. Detroit Diesel Diagnostic Link actually enforces the accurate limit, so in some cases it may be possible to spin a value to, for example, 0.5 outside the limit shown. However, the fact that this is a legal value will be shown by the limit remaining black.


The Instrumentation window

The Instrumentation window is displayed when you choose Normal Instrumentation or Diagnostic Instrumentation from the Diagnostics menu. The window displays live data measurements from the ECM connected to your PC.

The contents of the Instrumentation window depend on whether you are using a DDEC or MBE engine. See:

Instrumentation window for DDEC

Instrumentation window for MBE


Replay controls

When you have opened a snapshot, the Instrumentation and Fault Codes window have replay controls:

To start the replay of a snapshot:

Press Play (the play button changes to Pause when a snapshot is replaying). While the snapshot is replaying, the replay slider next to the Play/Pause button moves showing the progress of the replay, and the time box next to it shows the time since the beginning of the recording.

When you press Play the snapshot begins to play from its current position and the instruments show the appropriate readings.

The event window changes during the replay to show the most recent event.

The box on the right-hand side of the replay controls shows the current annotation in the snapshot replay - see below for how to edit the annotations.

To stop a replay at a particular point:

Press Pause. The instruments will show the values at the time you stopped the replay.

To move to a specific time in the replay:

Drag the replay slider along the bar to the required time. As you drag the slider, the time shown in the time box changes to reflect the position of the slider.

Or

Type the time you require into the time box (make sure you use the same format for the numbers as the box uses), and press the Return key.

Or, if you want to show the data at the time of a specific event,

  1. Click on the event drop-down list box to display the list:

  2. The box shows any events generated by the ECM, together with those marked by the user, in the order in which they occurred. Select an event to move the replay to the time at which the event occurred.

If the snapshot was already playing when you move to a new position, it will continue playing from that point, otherwise the instruments will continue to show the data for the new position until you start playing the snapshot or move to another new position.

To add annotations to the snapshot or edit existing ones:

Press Edit to display the Annotation editor - see Annotation Editor for details.


Instrumentation window for DDEC

The Instrumentation window is displayed when you choose Normal Instrumentation or Diagnostic Instrumentation from the Diagnostics menu. The window displays live data measurements from the ECM connected to your PC.

The Instrumentation window is also displayed when you choose Open from the Snapshot menu unless the Fault Codes window is already open.

When you have an open snapshot and the Instrumentation window is selected, playback controls are added to the top of the Instrumentation window. You can use these to replay the snapshot. Otherwise, the Instrumentation window is used in the same way whether you are viewing live data or a snapshot.

Instrument pages

The instruments in the Instrumentation Window are grouped together on tabs. You can choose how they are grouped by choosing Normal Instrumentation or Diagnostic Instrumentation commands in the Diagnostics menu.

To view the different pages of data shown in the window:

Click on the tab labeling the page holding the data, or hold the Control key down while you press the number key shown on the tab.

Note

You can customize the information shown in the instrumentation window using the Graph or User pages.

Multi-block engines

Provided you are using a PC display with a resolution of at least 800 X 600, some of the Normal Instrumentation pages show details for each of the ECMs in a multi-block engine - for example.

Note

Whatever the resolution of your display you can also monitor parameters in the different ECMs by assigning them to instruments on the User pages or by choosing them for display on the Graph page.

Instruments

The results of measurements are presented in a variety of ways, depending on the quantity measured.

An instrument will show if for any reason the ECM is not transmitting data for that measurement. the way "No Data" is shown depends on whether the instrument is:

  • a meter

    The meter has no pointer if no data is available.

  • a thermometer

    The thermometer is blank if no data is available.

  • digital meter

    Digital meters are blank if there is no data.

  • text.

    % bars and other results normally given in text will display "No Data" when no data is available.

See also:

Autoscaling analog meters

Magnified view of instruments

To display a [image] magnified view of just one of the instruments on a data page (this is particularly useful if you want to monitor a measurement while you are working at some distance from the display):

Click on the instrument; click again to return to the normal size view.


Example of Instrumentation page with instruments for multi-block engines

The Pressures instrumentation page includes instruments for monitoring relevant pressures at the different blocks in multi-block engines:

Note

The R1 and R2 instruments are not shown on this and the other fixed Instrumentation pages if your PC display has a resolution less than 800 X 600.


Instrumentation window for MBE

The Instrumentation window is displayed when you choose Normal Instrumentation or Diagnostic Instrumentationfrom the Diagnostics menu. The window displays live data measurements from the ECM connected to your PC.

The Instrumentation window is also displayed when you choose Open from the Snapshot menu unless the Fault Codes window is already open.

When you have an open snapshot and the Instrumentation window is selected, playback controls are added to the top of the Instrumentation window. You can use these to replay the snapshot. Otherwise, the Instrumentation window is used in the same way whether you are viewing live data or a snapshot.

Instrument pages

The instruments in the Instrumentation Window are grouped together on pages. You can choose how they are grouped by choosing Normal Instrumentation or Diagnostic Instrumentation commands in the Diagnostics menu.

To view the different pages of data shown in the window:

Click on the tab labeling the page holding the data, or hold the Control key down while you press the number key shown on the tab.

Note

The pages are designed to cater for all MBE configurations. This means that some instruments may not show a value on your particular system because they are not relevant to it

The following pages are available in the Instrumentation window for MBE engines:

Normal Instrumentation | Diagnostic Instrumentation
Mechanical | Power
Pressure | Brake
Temperature | Fan
Status | Misfire
Graph | Smoke
User | Sensor Voltages
 | Cruise Control / PTO
 | Switches
 | List
 | Graph
 | User

Notes

The Graph and User pages appear in both the Normal and Diagnostic Instrumentation modes - they allow you to customize the information shown in the Instrumentation window.

The List tab allows you to view all the MBE diagnostic parameters in one scrollable list organized by functional groups.

The tab displays all the possible sensors that may be configured on a variety of MBE engine applications. Some sensors do not provide data on some engine configurations. Please consult your engine documentation or you Detroit Diesel engine specialist for specific details on your engine.

Instruments

The results of measurements are presented in a variety of ways, depending on the quantity measured.

An instrument will show if for any reason the ECM is not transmitting data for that measurement. The way "No Data" is shown depends on whether the instrument is:

  • a meter

    The meter has no pointer if no data is available.

  • a thermometer

    The thermometer is blank if no data is available.

  • digital meter

    Digital meters are blank if there is no data.

  • text.

    % bars and other results normally given in text will display "No Data" when no data is available.

See also:

Autoscaling analog meters

Magnified view of instruments

To display a magnified view of just one of the instruments on a data page (this is particularly useful if you want to monitor a measurement while you are working at some distance from the display):

Click on the instrument:

Click again to return to the normal size view.


Mechanical page in Instrumentation window for MBE

The Instrumentation window for MBE has a Mechanical page in Normal mode.


Pressure page in Instrumentation window for MBE

The Instrumentation window for MBE has a Pressure page in Normal mode.


Temperature page in Instrumentation window for MBE

The Instrumentation window for MBE has a Temperature page in Normal mode.


Graph page

Clicking on the Graph tab in the Instrumentation window displays the Graph page:

Note

The Graph and User pages appear in both the Normal and Diagnostic Instrumentation modes for both DDEC and MBE engines (the picture shows the Graph page in Normal Instrumentation mode for DDEC). The instructions below for using the page apply in all cases.

The Graph page allows you to display traces showing the variation of selected measurements over time.

The traces are scaled automatically and color coded so that they can be identified from the Description at the bottom of the Graph page.

When the trace reaches the left-hand edge of the graph window (after two minutes) the trace scrolls, so that the window always shows the result of measurements made in the last two minutes.

To choose (or change) which measurements to trace:

Press Modify to display the Modify graph page dialog box:

The Selected list shows the measurements chosen for tracing in the Graph page.

To add another measurement:

  1. Select the measurement by clicking on it in the Available list.
  2. Press Add.

(As a shortcut, you can just double-click on the required measurement in the Available list.)

To remove a measurement from the Selected list.

  1. Select the measurement by clicking on it in the Selected list.
  2. Press Remove.

(As a shortcut, you can just double-click on the required measurement in the Selected list.)

To confirm the new list of measurements to be traced in the Graph page

Press OK to close the dialog box.

As soon as you have closed the Modify graph page dialog box, the chosen measurements are listed in the box at the bottom of the Graph page, with the current value, and the value is traced in the graph window.

Note

If you are using a PC display with resolution less than 800 X 600, the fixed Instrumentation pages only give information about the master ECM in multi-block engines. However, you can always view details of the parameters for the R1 and R2 ECMs by assigning them to traces on the Graph page (or instruments on the User page).

See Viewing diagnostic code and user events in the Graph page for more details of one particular setting that is available for snapshot replay mode.

To save the current graph page settings in a file:

  1. Press Save to display the Save Graph Page Settings As dialog box:

  2. Select the folder in which to save the file.
  3. Enter a File name for the file.
  4. Press Save to save the file and close the dialog box:

To load a set of previously saved graph page settings:

  1. Press Load to display a standard Windows open dialog box.
  2. Use the dialog box to locate the folder holding the required file.
  3. Click on the file name to select it.
  4. Press Open to close the dialog box and load the settings.


Viewing Diagnostic Codes and User Events in the Graph Window

Viewing diagnostic code and user events in the Graph page

When you are using the Graph page to view the replay of a snapshot you can choose to view marks showing when diagnostic code and user events occurred.

Note

You can only view diagnostic code and user event marks for snapshots recorded in DDDL 6.1 or later.

To add diagnostic code and user event marks to the graph for a snapshot replay:

  1. Press Modify in the Graph page to display the Modify graph page dialog box.
  2. In the Available list, select Active Code Count:

  3. Press Add to add Active Code Count to the Selected list.
  4. Add any other variables you want to monitor to the Selected list.
  5. Press OK to close the dialog box and return to the Graph page.

When you replay a snapshot any diagnostic code or user events will appear at the top of the graph:


User page

Clicking on the User tab in the Instrumentation window displays the User page:

Note

The User and Graph pages appear in both the Normal and Diagnostic Instrumentation modes for both DDEC and MBE engines (the picture shows the User page in Normal Instrumentation mode for DDEC). The instructions below for using the page apply in all cases.

The User page allows you to monitor your own selection of measurements by assigning them to appropriate instruments.

The page provides four meters, one digital meter and three indicators - the picture shows just one possible set of assignments of measurements to these instruments.

To choose which measurements to monitor:

Press Modify to display the Modify user page dialog box:

For each instrument, choose what measurement you want it to display from the drop-down list box below the instrument.

When you close the Modify user page dialog box, the current values of the chosen measurements will be shown on the instruments.

Note

If you are using a PC display with resolution less than 800 X 600, the fixed Instrumentation pages only give information about the master ECM in multi-block engines. However, you can always view details of the parameters for the R1 and R2 ECMs by assigning them to instruments on the User page (or traces on the Graph page).

To save the current user page settings in a file:

  1. Press Save to display standard Windows Save As dialog box:
  2. Select the folder in which to save the file.
  3. Enter a File name for the file.
  4. Press Save to save the file and close the dialog box:

To load a set of previously saved graph page settings:

  1. Press Load to display a standard Windows Open dialog box.
  2. Use the dialog box to locate the folder holding the required file.
  3. Click on the file name to select it.
  4. Press Open to close the dialog box and load the settings.


Status page in Instrumentation window for MBE

The Instrumentation window for MBE has a Status page in Normal mode.


Power page in Instrumentation window for MBE

The Instrumentation window for MBE has a Power page in Diagnostic mode.


Brake page in Instrumentation window for MBE

The Instrumentation window for MBE has a Brake page in Diagnostic mode.


Fan page in Instrumentation window for MBE

The Instrumentation window for MBE has a Fan page in Diagnostic mode.


Misfire page in Instrumentation window for MBE

The Instrumentation window for MBE has a Misfire page in Diagnostic mode.


Smoke page in Instrumentation window for MBE

The Instrumentation window for MBE has a Smoke page in Diagnostic mode.


Sensor Voltages page in Instrumentation window for MBE

The Instrumentation window for MBE has a Sensor Voltages page in Diagnostic mode.

Note

The tab displays all the possible sensors that may be configured on a variety of MBE engine applications. Some sensors do not provide data on some engine configurations. Please consult your engine documentation or you Detroit Diesel engine specialist for specific details on your engine.


Cruise Control / PTO page in Instrumentation window for MBE

The Instrumentation window for MBE has a Cruise Control / PTO page in Diagnostic mode.


Switches page in Instrumentation window for MBE

The Instrumentation window for MBE has a Switches page in Diagnostic mode.


List page in Instrumentation window for MBE

The Instrumentation window for MBE has a List page in Diagnostic mode.

The list tab allows you to view all the MBE diagnostic parameters in one scrollable list organized by functional groups.

Note

The page lists all possible parameters that may be configured on a variety of MBE engine applications. This means that some may show no data on your particular system because they are not relevant to it.


Autoscaling analog meters

In order to maximize their sensitivity, the ranges of analog meters are set to be relatively narrow initially. For example, when you start the Detroit Diesel Diagnostic Link, the scale maximum for the Output Torque meter is set to the relatively low value of 2000:

If the reading exceeds the scale maximum, the scale maximum will be increased automatically so that the reading falls within the new range:

If the reading continues to increase, the scale maximum will be increased automatically again as required to ensure that the reading remains on-scale:

Note that if the reading falls, the scale will not change back to a narrower range:

If you want to change the scales back to their initial defaults, you will need to restart the Detroit Diesel Diagnostic Link.


The Fault Codes window

The Fault Codes window is displayed when you choose Fault Codes from the Diagnostics window.

The contents of the Fault Codes window depend on whether you are using a DDEC or MBE engine – for details see:

Fault Codes window for DDEC

Fault Codes window for MBE

Snapshots

If you have opened a snapshot, replay controls are added to the bottom of the Fault Codes window when it is selected so that you can monitor fault codes produced during the snapshot. When the window is used for a snapshot, the Clear Selected Codes and Clear Inactive Codes buttons are hidden, since these operations are only relevant when you are connected live to an ECM.


Fault Codes window for DDEC

The Fault Codes window is displayed when you choose Fault Codes from the Diagnostics window.

Note

This picture shows the Fault Codes window for a DDEC III; see the following section for differences when you are using a DDEC II.

The list area of the Fault Codes window shows the active and inactive fault codes in the ECM.

Active fault codes are marked by a lamp in the left-hand margin of the first column.

To change the width of a column:

  1. Move the pointer over the line dividing its heading from the next column’s heading so that the pointer shape changes:

  2. Drag to change the column width.

To copy the data for one or more fault code entries in the Fault Code window to the Clipboard:

  1. Select the first entry you want to copy by clicking on it in the Fault Codes window.

Note

The Copy button is only enabled when one or more fault codes are selected.

  2. If you want to copy more than one entry, hold the Control key down while you click on the remaining entries. If you want to copy several consecutive entries, click on the first entry and hold the Shift key down while you click on the last entry.
  3. Press Copy.

After you have copied the fault codes to the Clipboard you can paste them into a document in another application such as a text editor (for example, Notepad), a word processor (for example, Word) or a spreadsheet (for example, Excel).

To paste the fault code data into a document, click in the document at the place you want to paste the data and then choose Paste from the application's Edit menu.

Once the data has been pasted into a document in another application, you will be able to save it by choosing Save As from the application's File menu.

To get help for troubleshooting one of the fault codes listed:

  1. Select the item in the list for which you want help by clicking on it.
  2. Press TroubleshootingHelp.

The Troubleshooting Help system will open up at a topic providing help for the selected fault. From this topic you can display instructions stepping you through the troubleshooting procedure.

To clear only selected inactive codes from the ECM (DDEC III, DDEC IV and DDEC V only - see section after dialog box picture for DDEC II):

  1. Select the first code you want to clear by clicking on it in the Fault Codes window.
  2. If you want to clear more than one code, hold the Control key down while you click on the remaining codes. If you want to clear several consecutive codes, click on the first code and hold the Shift key down while you click on the last code.
  3. Press Clear Selected Code

To clear all the inactive codes from the ECM (DDEC III, DDEC IV and DDEC V only - see section after dialog box picture for DDEC II):

Press Clear Inactive Codes.

To close the Fault Codes window:

Press Close

The Fault Codes window with a DDEC II

The DDEC II ECM does not allow you to clear individual codes, so when you are connected to a DDEC II the Clear Inactive Codes and Clear Selected Codes buttons are replaced by a single Clear All Codes button.

To clear all the codes from a DDEC II:

Press Clear All Codes.


Fault Codes window for MBE

The Fault Codes window is displayed when you choose Fault Codes from the Diagnostics window.

Note

You cannot clear selected codes in MBE systems, so the Clear Selected Codes button is permanently disabled when DDDL is connected to an MBE system.

The codes in the MBE system are identified by standard SAE PID or SID numbers and their companion failure mode indicator (FMI). There are no flash codes identified with the MBE system.

The MBE system only records the number of counts logged by a fault code. Additional information such as the time and date stamping and the fault code start, finish, and total duration is not available.

Active fault codes are marked by a lamp in the left-hand margin of the first column.

To change the width of a column:

  1. Move the pointer over the line dividing its heading from the next column’s heading so that the pointer shape changes:

  2. Drag to change the column width.

To copy the data for one or more fault code entries in the Fault Code window to the Clipboard:

  1. Select the first entry you want to copy by clicking on it in the Fault Codes window.

Note

The Copy button is only enabled when one or more fault codes are selected.

  2. If you want to copy more than one entry, hold the Control key down while you click on the remaining entries. If you want to copy several consecutive entries, click on the first entry and hold the Shift key down while you click on the last entry.
  3. Press Copy.

After you have copied the fault codes to the Clipboard you can paste them into a document in another application such as a text editor (for example, Notepad), a word processor (for example, Word) or a spreadsheet (for example, Excel).

To paste the fault code data into a document, click in the document at the place you want to paste the data and then choose Paste from the application's Edit menu.

Once the data has been pasted into a document in another application, you will be able to save it by choosing Save As from the application's File menu.

To get help for troubleshooting faults:

Press Troubleshooting Help button to display a complete code description.

An in-depth troubleshooting tree is not available for the MBE system, but additional troubleshooting information is available in the MBE engine information section of the Troubleshooting Help and on the DDDL CD-ROM. This material includes pin-outs, wiring diagrams, and MBE electronic features descriptions.

To clear all the inactive codes from the ECM (DDEC III, DDEC IV and DDEC V only - see section after dialog box picture for DDEC II):

Press Clear Inactive Codes.

To close the Fault Codes window:

Press Close


The Toolbar

The Toolbar provides a quick method of running menu commands, as well as displaying fault warnings and the connection status.

Click on the links below for more information.

Open

Pressing the open button is equivalent to choosing Open from the File menu to open a previously saved engine calibration.

Save

Pressing the save button is equivalent to choosing Save from the File menu to save the current engine calibration.

Print

Pressing the print button is equivalent to choosing the Print command from the File menu to print the data in the currently selected window.

Instrumentation

Pressing the instrumentation button is equivalent to choosing Diagnostic Instrumentation or Normal Instrumentation (depending on which type of instrumentation was last displayed) from the Diagnostics menu to display the Instrumentation window so that you can monitor data measurements made by the ECM.

Fault codes

Pressing the fault codes button is equivalent to choosing Fault Codes from the Diagnostics menu to display the Fault Codes window so that you can monitor any fault codes generated by the ECM.

New snapshot

Pressing the new snapshot button is equivalent to choosing New from the Snapshot menu to start recording data from the ECM.

Close snapshot

Pressing the close snapshot button is equivalent to choosing Close from the Snapshot menu to stop recording data from the ECM and allow you to save the recorded data.

Troubleshooting

Pressing the troubleshooting button is equivalent to choosing Troubleshooting from the Help menu to display detailed help with troubleshooting.

DDEC Reports

Pressing the DDEC Reports button is equivalent to choosing DDEC Reports from the Tools menu to create a report.

Connect

If the PC is not connected to a ‘live’ ECM when you start the Detroit Diesel Diagnostic Link, the program will start up but will be offline.

If you later connect the PC to a ‘live’ ECM, to connect the Detroit Diesel Diagnostic Link to the ECM so that you can work online:

Press the connect button.

Engine fault indicator

The engine fault indicator shows if there are any active faults.

When there are active faults, the indicator flashes “Warning” and “Active Code”.

Connection indicator

The connection indicator shows whether you are connected to an ECM or are working offline:

If the Detroit Diesel Diagnostic Link is offline, to connect it to a ‘live’ ECM connected to the PC so that you can work online:

Press the connect button [image].


Open (calibration)

To open a previously saved calibration:

  1. Choose Open from the File menu or press [image] to display the Open dialog box:

This is a standard Windows Open dialog box

  2. Use the dialog box to select the folder containing the required file.
  3. Click on the required file in the list to select it.
  4. Press Open to open the file.

(If you have an open calibration with some unsaved changes, you will be asked if you want to save them before the new calibration is opened.)

After you have pressed OK, the Calibration window will be displayed ready for you to view, edit or transmit the calibration to the ECM.

See also

Save

Save As

Save Fleet Cal

Retrieve


Save

To save the current calibration shown in the Calibration window:

Choose Save from the File menu or press [image].

Save is only enabled if you have made some changes to a saved calibration and have not saved them yet - see Save As to save a calibration that has not been saved before or to save the calibration in a new file.

See also

Open (calibration)

Retrieve

Save Fleet Cal


Save As

To save the current calibration shown in the Calibration window with a new filename:

  1. Choose Save As from the File menu to display the Save Calibration Datafile As dialog box.

This is a standard Windows Save As dialog box

  2. Use the dialog box to select a folder for the file.
  3. Enter a File name for thefile.
  4. Press Save to save the file.

See also

Open (calibration)

Retrieve

Save Fleet Cal


Save Fleet Cal

Save Fleet Cal (DDEC only)

The Detroit Diesel Diagnostic Link allows you to save a password with an individual calibration. This is useful if you have a number of trucks requiring the same calibration, as you can then open and transmit the calibration without having to reenter the password on each occasion (assuming, of course, that you set the password to be the same for all of the trucks).

You can also use this function to restrict access to passwords. For example, a fleet manager could use the Detroit Diesel Diagnostic Link off-line (not connected to an ECM) to set the calibrations for each truck and save them with the appropriate passwords. Technicians can then open the saved calibrations while connected to a truck and transmit the calibration without having to enter the password (or read it), provided they do not change the saved calibration.

To save a calibration with a password:

  1. Type the password into the Password box at the bottom of the Calibration window (Save Fleet Cal is grayed until you enter a password).
  2. Choose Save Fleet Cal from the File menu to display the Save Calibration Datafile As dialog box. This dialog box is also displayed by the Save As command and is used in exactly the same way.

See also

Open (calibration)

Retrieve


Close (calibration)

To close the Calibration window, and with it the current calibration:

Choose Close from the File menu, or press Close in the Calibration window.

If the calibration has some unsaved changes, you will be asked if you want to save them before it is closed.


Print

The Print command appears as Print Calibration, Print Instrumentation or Print Fault Codes, depending on whether the Calibration, Instrumentation or Fault Codes window is selected.

(You can also print the data contained in any of the dialog boxes containing information about the ECM by pressing their Print button.)

To print the data in the Calibration, Instrumentation or Fault Codes window:

  1. Click in the window to select it.
  2. Print from the File menu or press [image] to display the Print dialog box:

This is a standard Windows Print dialog box

  3. Select the required printer from the Name box.
  4. Press Properties to display a dialog box for choosing printer features specific for your printer: see the documentation supplied with your printer for how to use it.
  5. Check Print to File if you want the output sent to a file rather than directly to the printer; you will be prompted to supply a file name when you press OK to print the document.

  6. Click on a radio button in the Print Range box to decide whether to print All of the pages of data, or a range of Pages. If you choose to print a range of pages, specify the range by entering the first and last page numbers of the range in the From and To boxes.

    (You cannot select data within the windows, so the Selection button is always grayed.)

  7. Enter the number of copies you want to print in the Copies box.

    If you are printing more than one copy, check Collate Copies if you want the copies collated (eg, two copies of a two-page document printed in the order 1,2,1,2). Leave Collate Copies unchecked if you want the copies uncollated (eg, two copies of a two-page document printed in the order 1,1,2,2).

  8. Press OK to close the dialog box and print the document.

The header of each page in the printout will show the Vehicle Unit Number, Engine Serial Number, File Name (where appropriate) and the page number in the format “Page n of m”.

Note

If you are using a laptop you may not have a printer connected while you are using the program. However, you can still use Print (and the Print buttons in dialog boxes) to create print jobs that can be printed later when you connect a printer to the PC: see Printing offline for details.

See also:

Print Setup

Print Preview

and, for printing data from dialog boxes:

Injector

Rating

Audit Trails

Cylinder Cutout

Engine Configuration Data

ECM I/O Configuration

Injector Response Times

Engine/Trip Data


Print Preview

The Print Preview command appears as Print Preview Calibration, Print Preview Instrumentation or Print Preview Fault Codes, depending on whether the Calibration, Instrumentation or Fault Codes window is selected.

To preview how a document will appear when it is printed:

  1. Choose Print Preview from the File menu to display the preview window.
  2. Control the preview using the buttons at the top of the window:

  3. Press:
  • Print to display the Print dialog box so that you can print the document.
  • Next Page to move on to another page in the preview.
  • Prev Page to move back to another page in the preview.

  • Two Page to preview two pages side by side.

    The Two Page button will change to Single Page, which you can then press if you want to go back to single page previewing.

  • Zoom In to get an enlarged preview.
  • Zoom Out to return to a less magnified preview.
  • Close to close the preview and return to the main window without printing the document.


Print Setup

To select an alternative printer or change the way the current printer is set up:

  1. Choose PrintSetup from the File menu to display the Print Setup dialog box:

  2. Select the required printer from the Name box.
  3. Press Properties to display a dialog box for choosing printer features specific for your printer: see the documentation supplied with your printer for how to use it.
  4. Choose the size of paper to use from the Size drop-down list box.
  5. From the Source drop-down list box, choose from which printer tray to take the paper.
  6. Click on Portrait or Landscape in the Orientation box to decide which way round to print the document.
  7. Press OK to close the dialog box and set the print options.

See also:

Print

Print Preview

Engine/Trip Data


Recently used files

The file menu lists the most recently opened files, so that you can reopen them without having to select them in a dialog box. The list may include both calibration data files (.cdf) and snapshot files (.ddl).

To reopen a recently used file:

Choose the file’s name from the File menu.

(If you have an open calibration with some unsaved changes, you will be asked if you want to save them before the calibration is opened.)

When the saved file is reopened, its contents will be displayed in the Calibration window.


Exit

To close the Detroit Diesel Diagnostic Link program:

Choose Exit from the File menu.

If you have an open calibration with some unsaved changes, you will be asked if you want to save them before closing the Detroit Diesel Diagnostic Link.


Passwords

DDEC

For DDEC controlled engines, you can use the Passwords command to change the:

  • Calibration Password
  • Ratings Password (DDEC III, DDEC IV and DDEC V only)
  • Group Lockout Password (DDEC III software revision 4 or later only)

See also

Passwords (DDEC) for an overview of DDEC passwords.

MBE

For MBE engines, you can set a general password for VCU parameters.

See

Passwords (MBE) for details.


Ratings Password

Ratings Password (DDEC III, DDEC IV and DDEC V only)

To change the password that enables you to set the engine’s rating:

  1. Choose Passwords from the Calibration menu to display the Change Password dialog box.
  2. Click on the Ratings Password radio button to change the dialog box so that you can enter a new ratings password:

Note

The Back Door button is disabled unless Detroit Diesel Diagnostic Link is connected to a DDEC V.

  3. Type your calibration password in the Calibration Password box.
  4. Type your old ratings password in the Old Rating Password box.
  5. Type your new password in the NewRating Password box.
  6. Type your new password again into the Confirm NewPassword box to check that you typed it correctly.
  7. Press OK to close the dialog box and set your new password.


Calibration password

Calibration password (DDEC only)

To change the calibration password, which enables you to set the calibration on an ECM, but not the engine rating or function lockout:

  1. Choose Passwords from the Calibration menu to display the Change Password dialog box:

Note

The Back Door button is disabled unless Detroit Diesel Diagnostic Link is connected to a DDEC V.

  2. Type your old password in the Old Calibration Password box (note that for security the numbers you type will not be shown on the screen when you type in passwords).
  3. Type your new password in the NewCalibration Password box.
  4. Type your new password again into the Confirm NewPassword box to check that you typed it correctly.
  5. Press OK to close the dialog box and set your new password.

See also:

Back Door DDEC V Password for how to bypass the Calibration password for DDEC V.


Group Lockout Password

Group Lockout Password (DDEC only)

To change the password that enables you to lock out (protect from being changed) selected calibration functions:

  1. Choose Passwords from the Calibration menu to display the Change Password dialog box.
  2. Click on the Group Lockout Password radio button to change the dialog box so that you can enter a new group lockout password:

Note

The Back Door button is disabled unless Detroit Diesel Diagnostic Link is connected to a DDEC V.

  3. Type your calibration password in the Calibration Password box.
  4. Type your old group lockout password in the Old Lockout Password box.
  5. Type your new password in the NewLockout Password box.
  6. Type your new password again into the Confirm NewPassword box to check that you typed it correctly.
  7. Press OK to close the dialog box and set your new password.


Retrieve

To upload the current calibration of the ECM connected to the PC:

Choose Retrieve from the Calibration menu, or press [image].

Once the data has been uploaded, the Calibration window will show the current settings.

See also

Save

Save As

Save Fleet Cal

Open (calibration)


Injector (DDEC III, DDEC IV and DDEC V only)

To set new calibrations for the injectors (for example, after new injectors have been fitted):

  1. Choose Injector from the Calibration menu to display the Injector Calibration dialog box. The dialog box will show the current injector calibration values.

(The cylinders for the other blocks in multi-block engines will be shown below the master ECM block's cylinders.)

  2. Enter the new injector calibration settings into the relevant Cylinder # boxes.

  3. To change your injector password in the Injector Calibration dialog box:

    Press Change Password to display the Change injector password dialog box.

  4. Type your injector password into the Password box (you can change the password if required).

  5. Press Print to print the data in the dialog box.

    The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.

  6. Press Transmit to send the new injector calibration settings to the engine (you must have entered a password first).
  7. Press Close to close the dialog box after making any required changes to the injector calibration.


Change injector password dialog box.

Change Injector Password dialog box (DDEC only)

The Change Injector Password dialog box is displayed when you press Change Password in the Injector Calibration dialog box.

  1. Type your old password in the Old Password box (note that for security the numbers you type will not be shown on the screen when you type in passwords).
  2. Type your new password in the New Password box.
  3. Type your new password again into the Confirm New Password box to check that you typed it correctly.
  4. Press OK to close the dialog box and set your new password.


Injector (MBE)

The unit pump on MBE engines has a specific 14-digit value stamped on it as shown below:

The number has always been on this particular part; however, with the release of the 2004 MBE engines there is a requirement to enter this information when the unit is replaced.

You can do this using:

  • the DRS for MBE programming station,
  • Detroit Diesel Diagnostic Link, or the
  • Minidiag (the routine for performing this operation in the Minidiag is called "Routine 006 - pump line nozzle change").

To enter the value using DDDL:

  1. Choose Injector from the Calibration menu to display the Set Injector Classification dialog box:

  2. From the Cylinder drop-down list, select the number of the cylinder for which you are performing the replacement.

Note

The cylinder number is given by its physical location, not the firing order.

  3. Enter the 14-digit value from the new unit pump.

Note

You will be warned if you enter an inconsistent number.

  4. Press OK.
  5. You will be prompted to turn the ignition off.

When you have turned the ignition off, the dialog box will count down the time until you can turn it on again:

  6. Turn the ignition on again when the countdown is complete and you are prompted.

When the ignition is turned back on another message will be displayed informing you that the operation has been completed successfully:


Rating

Rating (DDEC III, DDEC IV and DDEC V only)

To change the engine’s rating:

  1. Choose Rating from the Calibration menu to display the Rating dialog box:

  2. Click on the radio button showing the rating that you want to use,

    or

    Click on Use Discrete Inputs if you want to set the rating manually using external rating switches (in practice, this option will be grayed in most configurations as the use of external rating switches is uncommon).

  3. Type your calibration password into the Calibration Password box.
  4. Type your rating password into the Rating Password box.
  5. Press Transmit to send the new rating to the ECM.
  6. Press Close to close the dialog box after you have changed the rating.


Audit Trails

Audit Trail (DDEC only)

To display an audit trail of calibration changes:

  1. Choose Audit Trail from the Calibration menu to display the Audit Trail dialog box:

  2. Click on the Calibration tab to see details of changes to the ECM calibration; click on the [image] Injector tab to see details of changes to the injector calibration; click on the [image] Clock/Calendar tab to see details of changes to the ECM clock; and click on the [image] Vehicle Speed tab to see details of changes in parameters that affect the maximum vehicle speed.

    .

The audit trail shows when the changes were made, the identifier of the tool used to make the changes (see About Detroit Diesel Diagnostic Link in the Help menu for how to display the tool identifier) and the number of engine hours.

To print the data in the Audit Trails dialog Box:

Press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.

Note

The DDEC II only records the last change, so the Next Most Recent Change and Second Most Recent Change boxes are blank when you view the audit trail for a DDEC II.


Set ECM Clock

Set ECM Clock (DDEC III, DDEC IV and DDEC V and MBE only)

To set the clock in a DDEC III, DDEC IV and DDEC V (this function is not available for DDEC II) or an MBE engine [image] (The VCU module in an MBE engine contains a battery backed up clock for recording the time and date of events recorded in data extracted with DDEC Reports.):

  1. Choose Set ECM Clock from the Calibration menu to display the Set ECM clock dialog box:

  2. Check the Time Zone has been set correctly on your PC - this is very important as it is used to convert the local time shown in the other boxes to the universal time actually stored in the ECM.
  3. Set the new time and date in the New ECM time box.
  4. For a DDEC, enter your calibration Password.

(The Password box is disabled for MBE)

  5. Press Set Clock to set the clock in the ECM and close the dialog box.


New (snapshot)

To start a new snapshot:

Choose New from the Snapshot menu or press [image] to open the snapshot control window:

Data from the ECM is recorded for the snapshot immediately after you have chosen New.

To mark a particular time in the recording so that you can annotate it or come back and look at it in more detail when you replay it:

Press Mark User Event, press the Space bar on the keyboard, or choose User Event from the Snapshot menu.

To display the Annotation Editor to add text annotations to the snapshot:

Press Annotate.

See Annotation Editor for details.

To stop recording:

Press Stop Recording [image], press the Escape key, or choose Close from the Snapshot menu.

When you stop recording, you have to save the snapshot.See Close (snapshot) for details of how you save the snapshot.

To replay, the snapshot you have to open the snapshot file (see Open (snapshot)).


Annotation Editor

To display the Annotation Editor for new recordings:

Press Annotate in the snapshot control window.

To display the Annotation Editor for an existing recording:

Press Edit in the snapshot Replay controls

The left-hand list box shows the time at which each of the existing annotations becomes active, followed by the annotation text (or the first part of the text if it does not all fit on the line).

The right-hand edit box shows the full text for the annotation selected in the left-hand box.

To create a new annotation:

  1. In the Annotation Time spin boxes, enter the time at which you want the annotation to become active - enter the number of Hours, Minutes, and Seconds from the beginning of the snapshot.
  2. Enter the required annotation text in the right-hand edit box.
  3. Press Enter.

To edit an existing annotation:

  1. Click on the annotation in the left-hand box to select it - the time and text will appear in the Annotation Time spin boxes and the text in the right-hand edit box.
  2. Edit the text in the right-hand edit box.
  3. Press Enter.

To close the Annotation Editor:

Press Exit.

Note

The Annotation Editor is modeless - you do not need to close it in order to use other commands in the Detroit Diesel Diagnostic Link.


Open (snapshot)

To open a previously saved snapshot (see New (snapshot) and Close (snapshot)):

  1. Choose Open from the Snapshot menu to display an Open dialog box:

This is a standard Windows Open dialog box

  2. Use the dialog box to select the folder containing the required file.
  3. Click on the required file in the list to select it.
  4. Press Open to open the file.

When you press Open:

  • If the Instrumentation window is already open, it will show the recorded instrumentation data, and snapshot replay controls will be added to the bottom of the window so that you can replay the snapshot.
  • If the Fault Codes window is already open, it will show the recorded fault codes, and snapshot replay controls will be added to the bottom of the window so that you can replay the snapshot.
  • If neither window is open, the Instrumentation window will be opened with snapshot replay controls added to the bottom of the window so that you can replay the snapshot.

See Replay controls for how to replay snapshots in the Instrumentation and Fault Codes windows.

See also:

New (snapshot)

Close (snapshot)


Close (snapshot)

The effect of Close on the Snapshot menu depends on whether you are viewing a saved snapshot or recording a new one.

To close the Instrumentation window and/or Fault Codes window used for viewing a saved snapshot:

Choose Close from the Snapshot menu or press [image]. You will be asked if you want to save the new snapshot:

To stop recording a snapshot (and save it if required):

  1. Choose Close from the Snapshot menu or press [image]. You will be asked if you want to save the new snapshot.
  2. Press Cancel if you want to close the dialog box and continue recording the snapshot.

Press No if you want to close the dialog box without saving the snapshot.

Press Yes if you want to save the snapshot by displaying a Save As dialog box:

This is a standard Windows Save As dialog box

  3. Use the dialog box to select a folder for the file.
  4. Enter a File name for thefile.
  5. Press Save to save the file.

See also:

Open (snapshot)

Replay controls


User Event

To mark a user event during the recording of a snapshot so that you can annotate it or come back and look at it in more detail when you replay it:

Choose User Event from the Snapshot menu, press Mark User Event in the snapshot control window or press the Space bar on the keyboard.

See also:

New (snapshot)

Close (snapshot)

Open (snapshot)


Pause

To temporarily stop replaying a snapshot:

Choose Pause from the Snapshot menu.

The command is checked while replay is stopped temporarily.

To restart a snapshot recording:

Choose Pause from the Snapshot menu again.

See also:

New (snapshot)

Open (snapshot)

Close (snapshot)


Snapshot to CSV

After you have created a snapshot, or opened a saved snapshot, you can export the data it contains to a file in comma separated value (.csv) format. You will then be able to open the csv file in a program such as Microsoft Excel to analyze the data further.

To export the snapshot to a comma separated value (.csv) file:

  1. Choose Snapshot to CSV from the Snapshot menu to display the Export log file (.ddl) to .CSV file dialog box:

The Available box lists all the parameters not currently selected for export; the Selected box lists all the parameters currently selected for export.

  2. To highlight a parameter in the Availableor Selected list so that you can move it to the other list:

    Click on the parameter in the Available or Selected list box to highlight it.

    To highlight a group of adjacent parameters:

  1. Click on the first parameter in the group.
  2. Shift-click on the last parameter in the group.

To add another parameter to the selection of highlighted parameters:

Ctrl-click on the parameter.

  3. To move the highlighted parameters from the Available to the Selected list:

Press the Add button.

To remove the highlighted parameters from the Selected list:

Press the Remove button.

  4. The controls in the Export Time Interval box allow you to export data for a restricted interval within the snapshot.

Use the From box to set the start time (in seconds) from the beginning of the snapshot for the export.

Use the To box to set the time time (in seconds) from the beginning of the snapshot for the export.

  5. Use the Sample Frequency box to specify the frequency at which the parameter values will be sampled.

    For example, if you enter 2, the parameter values will be sampled every two seconds in the snapshot.

  6. In the Sample Format box, choose how the exported data should be organized. You can choose:

    • One Parameter per Row/Line - The data for each parameter occupies an entire row. The information includes the Parameter Code, Engine Speed, Parameter Name, Units, Time and Value.
    • Parameters Seen Each Sample Period - The data for all the selected parameters together with the current time are output to a single line. If a particular parameter’s value has not been seen in that sample period, it is left blank to show that there is no fresh information for it.
    • Continuous Parameter Values - The data for all the selected parameters together with the current time are output to a single line. If a particular parameter’s value has not been seen in that sample period, its last known value will be used. With this option there will be no blank data for a parameter in the export provided its value has been seen at least once.

  7. Use the Save in box to select a drive and folder in which to save the exported csv file.

    The file list box lists all the .csv files in the selected folder.

    To choose how the contents of the file list should be displayed:

  1. Press [image] to display a menu
  2. Choose the required options from the File List Display Menu.

To display the contents of the last folder visited:

Press [image].

To add a new folder to the current folder:

Press [image].

Once the folder has been added to the file list, you can give it a new name by double-clicking in the name and entering the new name.

To move up one level in the directory hierarchy:

Press [image].

  8. Enter a name for the file of exported data in the File name edit box.

    You can click on a file name in the file list box to make it appear in the File name edit box - you can then use that name to save the export data and overwrite the existing data, or edit the name to save the data in a new file.

  9. Press Export to export the selected data to the named csv file.


Fault Codes

To display a list of active and inactive fault codes:

Choose Fault Codes from the Diagnostics menu or press [image] to open the Fault Codes window.


Cylinder Cutout

There are some differences between the cylinder cutout tests for DDEC and MBE engines - for details, see:

Cylinder Cutout test for DDEC

Cylinder Cutout test for MBE


Cylinder Cutout test for DDEC

To test the engine by measuring its performance when you selectively cut out its cylinders:

  1. Choose Cylinder Cutout from the Diagnostics menu to display the Cylinder Cutout dialog box:

(The cylinders for the other blocks in multi-block engines will be shown below the master ECM block's cylinders.)

  2. Click on the Automatic radio button if you want to run a test with each cylinder cut out in turn.

or

Click on the Manual radio button if you want to run a test with one cylinder cut out. The Cylinder radio buttons will be enabled:

Click on a Cylinder radio button to choose which cylinder to test.

  3. Click on a Test Speed radio button to decide whether to run the test at Idle speed, 1,000 RPM or under manual (Free) control.
  4. Press Run Test.

After the test has been run, the Cylinder Cutout dialog box will show the results, for example:

or

To print the data in the Cylinder Cutout dialog box:

Press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.


Cylinder Cutout test for MBE

The Cylinder Cutout test continuously measures the engine torque. When the test is run, the injector for the selected cylinder (manual test) or each of the cylinders in turn (automatic test) is disabled. This causes the engine speed to decrease initially, but the engine will then compensate for the missing cylinder and return to the correct idle speed. The change in engine torque while the cylinder is turned off is a measure of the power loss - a small change in engine torque indicates a faulty cylinder, since turning it off has little effect on the power.

When the test exits, all cylinders are turned back on automatically.

Notes

Unlike the DDEC cylinder cutout test, which only makes an initial baseline measurement, the MBE test checks the baseline torque before each cylinder is cutout. Because of this, the MBE test will take longer to run than a DDEC cutout test.

The results of the test should be evaluated by the relative torque value of each cylinder (not the baseline value in the lower left of the window). A significantly lower value for a cylinder shows that cylinder may have a problem.

The torque is measured in the same manner for both automatic and manual tests.

All cylinders are automatically turned back on when the dialog box is closed.

To test the engine by measuring its performance when you selectively cut out its cylinders:

  1. Make sure the engine is on and idling.
  2. Choose Cylinder Cutout from the Diagnostics menu to display the Cylinder Cutout dialog box:

  3. Click on the Automatic radio button if you want to run a test with each cylinder cut out in turn.

or

Click on the Manual radio button if you want to run a test with one cylinder cut out. The Cylinder radio buttons will be enabled

Click on a Cylinder radio button to choose which cylinder to test.

  4. Press Run Test - see below for some examples.
  5. To print the data in the Cylinder Cutout dialog box, press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.

After the test has been run, the Cylinder Cutout dialog box will show the results, for example:

The results next to each cylinder show the change in torque when that cylinder cuts out. In the example above, the figures are similar for each cylinder, showing that all cylinders are working correctly. In the example below, the torque deviation for cylinder #1 is much less than the figures for the other cylinders indicating a potential problem with that cylinder.


Diagnostic Instrumentation

The instruments in the Instrumentation window can be grouped together on tabs in two possible ways.

To group the instruments so that those relevant for a particular problem (such as power, Jake Brake problems or Smoke) are on the same tab:

Choose Diagnostic Instrumentation from the Diagnostics menu or press [image].

(The toolbar button displays the diagnostic or normal pages of the Instrumentation window depending on which was last displayed.)

A radio button will appear beside the command in the menu when it is selected.

See also:

Normal Instrumentation


Normal Instrumentation

The instruments in the Instrumentation window can be grouped together on tabs in two possible ways.

To group the instruments so that those for the same type of measurement (such as mechanical, temperature or pressure) are on the same tab:

Choose Normal Instrumentation from the Diagnostics menu or press [image].

(The toolbar button displays the diagnostic or normal pages of the Instrumentation window depending on which was last displayed.)

A radio button will appear beside the command in the menu when it is selected.

See also:

Diagnostic Instrumentation


Engine Configuration Data

To display basic configuration data for the engine and ECM (the Engine Configuration Data window is also displayed automatically if you are connected to an ECM when you press Close in the Welcome screen):

Choose Engine Configuration Data from the Diagnostics menu to display the Engine Configuration Data window:

The information given depends on whether you are using a DDEC or MBE engine - see:

Engine Configuration Data window for DDEC

Engine Configuration Data window for MBE


Engine Configuration Data window for DDEC

To display basic configuration data for the engine and ECM (the Engine Configuration Data window is also displayed automatically if you are connected to an ECM when you press Close in the Welcome screen ):

  1. Choose Engine Configuration Data from the Diagnostics menu to display the Engine Configuration Data window:

T

  2. Click on the ECM data tab to view configuration information for the ECM (or ECMs in a multi-block engine):

  3. Press Close to close the Engine Configuration Data window.

To print the data in the Engine Configuration Data dialog box:

Press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.


Engine Configuration Data window for MBE

To display basic configuration data for the engine and ECM (the Engine Configuration Data window is also displayed automatically if you are connected to an ECM when you press Close in the Welcome screen ):

  1. Choose Engine Configuration Data from the Diagnostics menu to display the MBE Engine Configuration Data window:

  2. Press Close to close the Engine Configuration Data window.

To print the data in the Engine Configuration Data dialog box:

Press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.


ECM I/O Configuration

ECM I/O Configuration (DDEC III, DDEC IV and DDEC V only)

To examine the ECM input and output function configuration, or to set the output function values temporarily for testing:

Choose ECM I/O Configuration from the Diagnostics menu to display:

  • the ECM I/OConfiguration dialog box for DDEC III or DDEC IV - see ECM I/O Configuration dialog box for details.

  • the DDEC V ECM I/OConfiguration dialog box for DDEC V - see DDEC V ECM I/O Configuration dialog box for details.


ECM I/O Configuration dialog box

The ECM I/O Configuration dialog box is displayed when you choose ECM I/O Configuration from the Diagnostics menu with a DDEC III or DDEC IV connected.

Note

For multi-block engines, the input and output function configuration of each ECM is shown on a separate page.

To save a record of the I/O configuration:

Press Save.

The record will be saved to a file, which will be given an automatically generated name - a [image] message box will be displayed showing the name and location of the file.

To set the output function values temporarily for testing:

Press Activate Outputs to display the Activate output dialog box.

To print the data in the ECM I/OConfiguration dialog box:

Press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.


Activate output dialog box (DDEC)

To set the output function values temporarily for testing:

  1. Press Activate Outputs in the ECM I/O Configuration dialog box to display the Activate output dialog box.

  2. For a multi-block engine, click on the tab for the ECM for which you want to set the output function value.
  3. Click on a radio button to decide which output function to set (note that when you select one of the PWM Outputs the Value radio buttons are replaced by a spin box allowing you to select a percentage value).
  4. Click on the On or Off radio button to decide whether to set the value to on or off (or type in a new percentage for a PWM Output).
  5. Press Set Value to set the function value. After you have pressed Set Value, the value will be set and the ECM will not be able to change it until you close the dialog box.
  6. Repeat Steps 2, 3, 4, 5 and 6 for any other functions that you want to set.
  7. Press Close to reset the function values and return their control to the ECM.


DDEC V ECM I/O Configuration dialog box

The DDEC V ECM I/O Configuration dialog box is displayed when you choose ECM I/O Configurationfrom the Diagnostics menu with a DDEC V connected.

DDEC V INPUT SCREEN

As with earlier DDEC versions the inputs are listed for information purposes only - they cannot be changed with the Detroit Diesel Diagnostic Link.

To save a record of the input configuration:

Press Save.

The record will be saved to a file, which will be given an automatically generated name - a [image] message box will be displayed showing the name and location of the file.

To print the input configuration:

Press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File

DDEC V OUTPUT SCREEN

You can use the DDEC V Output screen to view and set the output function values temporarily for testing.

To set the output function values temporarily for testing:

  1. Click in the row for the output function you want to set (you can scroll the list if necessary).

When you select one of the On/Off outputs, the value box below the table is a drop-down list box with ON and OFF values (as in the picture).

When you select one of the PWMOutputs, the value box below the table is a spin box allowing you to set a percentage value.

  2. Either:

Select ON or OFF from the drop-down list to set the value to on or off

Or:

Type in a new percentage or click on the spin buttons to set a PWM output.

  3. Press Set to set the function value. After you have pressed Set the value will be set and the ECM will not be able to change it until you close the dialog box.
  4. Repeat Steps 1, 2 and 3 for any other functions that you want to set.

When you press Close to close the DDEC V ECM I/O Configuration dialog box the function values will be reset and they will again be under the control of the ECM.

To save a record of the output configuration:

Press Save.

The record will be saved to a file, which will be given an automatically generated name - a [image] message box will be displayed showing the name and location of the file.

To print the output configuration:

Press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File


Injector Response Times

Injector Response Times (DDEC only)

To view the injector response times:

Choose Injector Response Times from the Diagnostics menu to display the Injector Response Times dialog box:

(The cylinders for the other blocks in multi-block engines will be shown below the master ECM block's cylinders.)

To print the data in the Injector Response Times dialog box:

Press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.


Maintenance Alert

Maintenance Alert (DDEC only)

To view maintenance alerts reported by the Maintenance Pro unit:

Choose Maintenance Alert from the Diagnostics menu to display the Maintenance Alert dialog box:

The Oil Level box shows whether you need to add oil.

Possible values:

FAILED | An active fault code with an FMI of 3 or 4 has been received for PID 98
OK | There is no need to add oil
ADD | You should add oil
UNKNOWN | The oil level sensor is configured but no data received
N/A | The oil level sensor is not configured

The Coolant Level box shows whether you need to add coolant.

Possible values:

FAILED | An active fault code with an FMI of 3 or 4 has been received for PID 111
FULL | There is no need to add coolant
ADD | You should add coolant
LOW | You must add coolant
UNKNOWN | The coolant level sensor is configured but not data received
N/A | The coolant level sensor is not configured

The Air Filter, Oil Filter and Fuel Inlet boxes show whether you need to replace a filter.

Possible values:

ERROR | An active fault code with an FMI of 3 or 4 has been received for PID 107, 99 or 95, respectively
PLUGGED | You should replace the filter - this message will be displayed after you change the filter until you press Clear Maintenance Codes
OK | There is no need to replace the filter
UNKNOWN | The sensor is configured but no data received
N/A | The sensor is not configured

The Preventative Maintenance Status boxes show whether the A, B, and C services have expired.

Possible values:

Not configured

Expired

Not expired

Press the Clear Maintenance Codes button to clear all inactive Maintenance codes.

This clears the following codes:

Maintenance item | Value | PID | FMI
Oil Level | Low | 98 | 1
Coolant Level | Low | 111 | 1
Air Filter Restriction | High | 107 | 0
Oil Filter Restriction | High | 99 | 0
Fuel Inlet Restriction | High | 95 | 0

Note

After you have changed a filter, the PLUGGED message will continue to be displayed until you press Clear Maintenance Codes.


Activate Outputs (MBE only)

To set the output function values in the VCU temporarily for testing:

  1. Choose Activate Outputs from the Diagnostics menu to display the Activate outputs (VCU) dialog box.

  2. Select the output you want to change by clicking on it in the Output to set list.
  3. Click on the 0% or 100% radio button to set the value - the output state will change immediately.
  4. Repeat Steps 2 and 3 for any other functions that you want to set.
  5. Press Close to reset the function values and return their control to the VCU.

The following table lists the functions, control pin and supply pin for the proportional valves.

Valve | Signal |  | Function |  | Low side control pin | Power Supply Pin
 |  | MBE 900 Non-EGR Engine | MBE 900 EGR Engine | MBE 4000 EGR Engine |  | (Switched VBat)
PV1 | PWM/Digital Output | Exhaust Flap or Wastegate | Exhaust Flap or Wastegate | Wastegate | 55/51 | 55/12
PV2 | PWM/Digital Output | Compression Brake | EGR Valve | EGR Valve | 55/50 | 55/52
PV3 | PWM/Digital Output | Fan 1 | Fan 1 | Fan 1 | 55/41 | 55/12
PV4 | PWM/Digital Output | Fan 2 | Fan 2 | Fan 2 | 55/43 | 55/12
PV5 | PWM/Digital Output | Unused | Compression Brake | Compression Brake | 55/11-Ground | 55/27 - High Side Control
PV6 | PWM/Digital Output | Unused | Grid Heater | Turbo Brake or Exhaust Flap | 55/40 | 55/42


Service Routines (MBE only)

There are five diagnostic routines built into the PLD module. Of these, the cylinder cutout routine is carried out using the Cylinder Cutout command and the results of the voltage test are shown on the Sensor Voltages page in the diagnostic Instrumentation window.

To access the other three diagnostic routines (compression test, idle speed balance, and impact delay times):

  1. Choose Service Routines from the Diagnostics menu to display the Service Routines dialog box:

The impact time delay is the time lag between the actuation of the unit pump and the time that the valve body is recognized as being closed. The PLD measures these times continuously - the figures shown in the dialog are the averages of the most recent measurements at the time the dialog box is opened.

  2. Click the Idle Speed Balance tab to see the results of the Idle Speed Balance test:

Smooth idling control is always active. The results of the Idle Speed Balance test shows for each cylinder the deviation value required to balance idle speed.

A deviation of 5% or more gives a fault code of 128 00n 12, where n is the cylinder number.

Deviations at one cylinder only suggest an error condition.

  3. Click the Compression tab to run a Compression test:

Press Run Test to run the test.

The compression test measures the relative compression on all cylinders. The test gives a value of 100% to the cylinder with the "best" compression. The values for the other cylinders are then given relative to that cylinder.

  4. To print the results of a test, click on its tab and press Print.
  5. Press OK to close the dialog box.


View Observed Mids

To view a list of all the Mids (Message Identifiers) that have been observed communicating on the link since the connection was last made:

  1. Choose View Observed Mids from the Diagnostics menu to display the Observed Mid List dialog box:

  2. Press OK to close the dialog box and return to the main window.


Exhaust Backpressure Fault Times

Exhaust Backpressure Fault Times (DDEC only)

To view the exhaust backpressure fault times:

  1. Choose Exhaust Backpressure Fault Times from the Diagnostics menu to display the Exhaust Backpressure Fault Times dialog box:

  2. Press OK to close the dialog box and return to the main window.


Engine/Trip Data

To show cumulative data for the engine:

Choose Engine/TripData from the Tools menu to display the Engine/Trip Data dialog box.

The contents of the Engine/Trip Data dialog box depend on whether you are using a DDEC or MBE engine. See:

Engine/Trip Data dialog box for DDEC

Engine/Trip Data dialog box for MBE


Engine/Trip Data dialog box for DDEC

To show cumulative data for the engine:

Choose Engine/TripData from the Tools menu to display the Engine/Trip Data dialog box.

Click on the Trip Values tab to show data for the time since the trip counters were last reset:

To export the engine/trip totals:

Press Export.

See Exporting Engine/Trip data for further information.

To print the data in the dialog box:

Press Print.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.

Note

If data is unavailable for a particular quantity, the box will be blank - for example, see Optimized Idle in the second picture.


Engine/Trip Data dialog box for MBE

To show cumulative data for the engine:

  1. Choose Engine/TripData from the Tools menu to display the Engine/Trip Data dialog box.

Note

If data is unavailable for a particular quantity, the box will be blank - for example, see mpg in the picture.

  2. If required, press Print to print the data in the dialog box.

The Print dialog box will be displayed so that you can choose how to print the data. This dialog box is also displayed when you choose Print from the File menu.

  3. If required, press Export to export the engine/trip totals to a CSV file:

See Exporting Engine/Trip data for further information.

  4. Press Close to close the dialog box.


DDEC Reports

To run DDEC Reports:

Choose DDEC Reports from the Tools menu or press [image].

See the separate Help for DDEC Reports.


Clear AFR Learn Table (natural gas engines only)

Clear AFR Learn Table (DDEC natural gas engines only)

To clear the Air/Fuel ratios from the AFR Learn Table for a natural gas engine:

  1. Choose Clear AFR Learn Table from the Tools menu.

  2. Press OK to close the dialog box and return to the main window.


Particulate Filter De-green Reset ( DDEC only)

In order to meet emission standards, some transit bus calibrations work with particulate filters. When a new particulate filter is installed, it should be "de-greened" as part of the set up procedure - see below for how to carry out a de-green operation in DDDL.

Note

This command is disabled if it does not apply to the connected ECM.

When the new particulate trap filter is installed, the exhaust backpressure limit triggers a PID 81 indicating excessive exhaust backpressure. This increased threshold is applied for the first 4000 vehicle miles after the filter is installed. If this fault code is not addressed within 50 hours of installation by running the de-greening option, the SEL will illuminate and register a SID151 FMI 11, which is a "Service Now Lamp Fault Expired" code. PID 81 will recur each time the key is cycled unless the de-greening process has been started.

To carry out the de-greening process in DDDL:

  1. Choose Particulate Filter De-green Reset from the Tools menu to display the Rating dialog box:

A confrmation dialog box will be displayed:

  2. Press Yes to confirm that you want to carry out the de-greening.

A dialog box will be displayed when the process is completed:

  3. Press OK to close the dialog box.

To see how many miles the engine has run since the last de-green process was completed:

  1. Choose Choose Engine/TripData from the Tools menu to display the Engine/Trip Data dialog box.
  2. Click on the Engine Totals tab:


Recalibrate EGR DP Sensor

Recalibrate EGR DP Sensor (DDEC V only)

Note

This feature can only be used if your DDEC V ECU has been updated to the latest R3.00 software. If it has not been updated yet, the ECU will need to be reprogrammed before you can use this feature.

To recalibrate the EGR Delta Pressure Sensor:

  1. Make sure the ignition is on but the engine is not running, and the DDEC V ECU is connected.
  2. Choose Recalibrate EGR DP Sensor from the Tools menu.

A confirmation dialog box will be displayed:

  3. Press OK to close the dialog box and carry out the recalibration; press Cancel if you do not want to carry out the recalibration.
  4. If the recalibration is successful, the following dialog box will be displayed (see the following section, Recalibration failure, if a different dialog box is displayed):

Press OK to close the dialog box and return to the main window.

Recalibration failure

If the recalibration fails, one of the following dialog boxes will be displayed at Step 4:

  • Check that the ignition is on but the engine is not running, then retry the procedure.

  • This message is displayed when the recalibration failed because the DDEC V ECU has not been reprogrammed to the current R3.00 software. If you need assistance in updating the ECU software, call our Customer Support Center at 313-592-5800.

  • This message means there may be a problem with the Delta Pressure Sensor. Any related fault codes will assist you in troubleshooting the problem.


Recalibrate NG Oxygen Sensor (DDEC natural gas engines only)

To recalibrate the oxygen sensor in a DDEC natural gas engine manually:

  1. Choose Recalibrate NG Oxygen Sensor from the Tools menu.

The Oxygen Sensor Recalibration dialog box will be displayed with instructions:

  2. Remove the sensor from the stack and place it in clean air.
  3. Press OK to perform the oxygen sensor recalibration.

If the operation completes successfully a dialog box will be displayed acknowledging that the operation is complete:

However, if there was a problem, a dialog box will be displayed informing you that the sensor recalibration failed and suggesting some possible causes you should investigate.

If none of these is the cause of the problem, call Detroit Diesel Technical Service for further advice on successfully completing this operation.

  4. Press OK to close the dialog box and return to the main window.


MBE Progressive Shift Calculator

Progressive Shift encourages drivers to upshift from a lower to a higher gear prior to reaching the engine’s governed speed. This feature is used to produce better fuel economy and driveability. When the engine speed is limited, the driver will stay in the higher torque range longer.

The low range threshold of operation is defined by a [image] Gear Ratio (VCU parameter 12307).

Gear Ratio = Transmission Output Shaft Speed (rpm) / Engine Speed (rpm)

When the transmission is operating in a gear with a ratio less then this set Gear Ratio, the maximum engine speed will be limited to a set maximum progressive shifting engine speed (VCU parameter 12306). When the transmission is operating in a gear with a ratio greater than or equal to the set Gear Ratio, the engine will be allowed to run up to the maximum rated engine speed.

You can set the progressive shifting Gear Ratio manually using the Calibration window or using the Detroit Diesel Diagnostic Link MBE Progressive Shift Calculator.

To set the progressive shifting Gear Ratio using the Detroit Diesel Diagnostic Link MBE Progressive Shift Calculator:

  1. Retrieve the calibration in DDDL.
  2. Choose Progressive Shift Calculator from the Tools menu to display the Calculate MBE Progressive Shift Gear Ratio dialog box:

  3. Identify the gear for which you want to limit the rpm up through (for example, 9th gear).
  4. Determine the gear ratio for this gear and for the next gear up from this. For example, 9th and 10th gears:

Gear | Gear Ratio
9 | 1.34
10 | 1.00
  5. Enter the ratio for the selected gear into the Ratio A box and the ratio for the next gear up into the Ratio B box.

The Calculate button will be enabled when you have entered both numbers.

  6. Press Calculate to display the final gear ratio in the Result box.

The Paste to 12307 button will become enabled.

  7. Press Paste to 12307 to set VCU parameter 12307 in the calibration to the calculated Result.

Note

If you have not loaded the calibration (see Step 1), a message will be displayed reminding you that you must retrieve the calibration in order to paste the result.

  8. Check in the Calibration window that the VCU parameter 12307 Gear Ratio for Progressive Shifting has been set to the Result.

Note

At this point you have changed the parameter value in the calibration loaded into DDDL. You have not changed the value in the calibration in the vehicle itself. To do this, you will need to press Transmit in the Calibration window - see Changing PLD/VCU parameter values using the Detroit Diesel Diagnostic Link for details.


Options

To control the way you use Detroit Diesel Diagnostic Link (and other Detroit Diesel programs):

  1. Choose Options from the Tools menu to display the Options dialog box.
  2. Click on the tab for the type of option you want to set. You can choose options for
  • Communications Manager (these settings do not affect Detroit Diesel Diagnostic Link)
  • Interface
  • Fleet Info.
  • PC Units
  • HighwayMaster
  • Support (these settings do not affect Detroit Diesel Diagnostic Link).


Communication Manager options

The Options dialog box is displayed by choosing Options from the Tools menu.

Click on the Communication Manager tab to set options that control the way Communications Manager behaves (these settings do not affect Detroit Diesel Diagnostic Link):

In the Window Pop-up Preference box:

Click on a radio button to choose when and how the Communications Manager window is displayed.

In the Extraction Preference box:

  1. Check Allow automatic setting of date/time if you want the time and date in the truck set to the date and time set in your PC each time the truck is connected.
  2. Check Allow automatic download of configuration data so that each time a vehicle is connected the setup file (.DHE or .CSF) specified in the vehicle registry is downloaded to it.

In the Minimum Trip Time box:

Enter a minimum trip time between extractions. Data will not be extracted if the current trip time is less than this limit.

See also

Interface options

Fleet Info. options

PC Units options

HighwayMaster options

Support options


Interface options

The Options dialog box is displayed by choosing Options from the Tools menu.

Click on the Interface tab to specify the interface you use to connect to trucks:

Select the combination of interface and COM port that you are using from the Local Communications Interface drop-down list box.

Note

You cannot use the Remote Data Interface with Detroit Diesel Diagnostic Link.

This setting is made when you install the Detroit Diesel Communications program, so you should only need to change the setting if you change the interface or port you are using.

See also

Communication Manager options

Fleet Info. options

PC Units options

HighwayMaster options

Support options


Fleet Info. options

The Options dialog box is displayed by choosing Options from the Tools menu.

Click on the Fleet Info. tab to give information identifying the location and computer you are using:

  1. Use the fields in the Fleet Information box to enter details of your fleet.

  2. The Computer Identifier is set as part of the installation process, but you can change it here by entering a new identifier if required.

    The computer identifier is included in the names of files created automatically by the Detroit Diesel Communications program. This is because in networked installations where files are saved in common locations, there is a risk of different files being saved with the same name, which would result in data loss.

  3. The common Fleet Time Zone is used by the Detroit Diesel Communications program so that it can translate the times set in a DDEC III, DDEC IV or DDEC V to your local time for display purposes.

    The setting is not relevant for Detroit Diesel Diagnostic Link since it does not let you set the ECM clock in a DDEC III, DDEC IV and DDEC V.

See also

Communication Manager options

Interface options

PC Units options

HighwayMaster options

Support options


PC Units options

The Options dialog box is displayed by choosing Options from the Tools menu.

Click on the PC Units tab to specify the units used with Detroit Diesel Diagnostic Link:

Click on the radio buttons to choose which units to use with Detroit Diesel Diagnostic Link.

See also

Communication Manager options

Interface options

Fleet Info. options

HighwayMaster options

Support options


HighwayMaster options

The Options dialog box is displayed by choosing Options from the Tools menu.

Click on the Communications Manager tab to set options that control the way Communications Manager behaves (these settings do not affect Detroit Diesel Diagnostic Link):

  1. Check Enable to enable the HighwayMaster service for the remote extraction of data from vehicles.

  2. In the Export box, enter the directory path that WinHost will use to load data exported by Call Manager.

    If the HighwayMaster WinHost software is already installed on the PC when DDComm is installed, the directory specified in the WinHost .ini file will be entered as the default.

    If you enter a directory path that does not exist already, an error dialog will be displayed when you try to close the dialog or move to another page. If you want to use a new directory, you must create it first.

    DDComm will not modify the directory setting in the WinHost .ini file, so if you change the directory here, you will need to change it in WinHost as well.

  3. In the Import box, enter the directory path that WinHost will use to save data ready for Call Manager to import.

    If the HighwayMaster WinHost software is already installed on the PC when DDComm is installed, the directory specified in the WinHost .ini file will be entered as the default.

    If you enter a directory path that does not exist already, an error dialog will be displayed when you try to close the dialog or move to another page. If you want to use a new directory, you must create it first.

    DDComm will not modify the directory setting in the WinHost .ini file, so if you change the directory here, you will need to change it in WinHost as well.

See also

Communication Manager options

Interface options

Fleet Info. options

PC Units options

Support options


Support options

This page provides access to a number of engineering options, which the Detroit Diesel support team may ask you to use if you have problems.

The support team will give you instructions on what to do.

See also

Communication Manager options

Interface options

Fleet Info. options

PC Units options

HighwayMaster options


Cascade

To resize and arrange the open (non-minimized) windows so that they are overlapping with their title bars visible:

Choose Cascade from the Window menu.


Tile

To resize the open (non-minimized) windows so that they are non-overlapping and fill the main window:

Choose Tile from the Window menu.


Arrange Icons

To tidy up the icons representing minimized windows:

Choose Arrange Icons from the Window menu.


Windows open in the Detroit Diesel Diagnostic link

The Window menu lists the windows currently open in the Detroit Diesel Diagnostic link.

To select one of the windows in the list:

Choose it from the Window menu.


Help Topics

To open the contents window for this on-line Help system:

Choose Help Topics from the Help menu.


DDEC II/III/IV Troubleshooting

To display help for troubleshooting DDEC IV or earlier controlled engines:

Choose DDEC II/III/IV Troubleshooting from the Help menu.

The Troubleshooting Help system will open up at its contents topic.

For a DDEC system, you can also get help for a specific fault listed in the Fault Codes window using its Troubleshooting Help button.


DDEC V Troubleshooting

To display help for troubleshooting DDEC V controlled engines:

Choose DDEC V Troubleshooting from the Help menu.

The Troubleshooting Help system will open up at its contents topic.

For a DDEC system, you can also get help for a specific fault listed in the Fault Codes window using its Troubleshooting Help button.


DDC Mechanical Troubleshooting

To display help for the mechanical troubleshooting of engines:

Choose DDC Mechanical Troubleshooting from the Help menu.

The Troubleshooting Help system will open up at the Mechanical Troubleshooting section.


MBE Electronic Troubleshooting

To display help for troubleshooting MBE Electronic controlled engines:

Choose MBE Electronic Troubleshooting from the Help menu.

The Troubleshooting Help system will open up at its contents topic.

For a DDEC system, you can also get help for a specific fault listed in the Fault Codes window using its Troubleshooting Help button.


About Detroit Diesel Diagnostic Link

To display a dialog box giving information about this version of the Detroit Diesel Diagnostic Link:

Choose About Detroit Diesel Diagnostic Link from the Help menu.

Note that the dialog box gives the tool identifier. This is recorded in an ECM whenever you use this installation of the program to change the calibration.

You can check which tools have been used to make recent changes to the calibration of an ECM using Audit Trails in the Calibration menu.


VCU version 12 and PLD Parameters that can be changed in DDDL

Parameters shown in green text can be changed using DDDL

VCU / PLD | Group No. | Param. No. | Group name / Parameter name | Example Setting
PLD | 0 |  | Engine Serial Number |
 |  | 0 | Engine Serial Number |
PLD | 1 |  | Engine Identification |
 |  | 1 | Engine Number | 1792
 |  | 2 | Manual/Automatic transmission | Manual
 |  | 3 | Starter type (Control over PLD or externally) | Starter Activated Directly via Terminal 50(KB)
PLD | 2 |  | CAN Configuration |
 |  | 1 | Engine Contrl Via CAN | Switch ON
 |  | 2 | CAN One Wire Capability | Active
 |  | 3 | CAN Extended | 11 Bit ID
PLD | 3 |  | Proportional Valves |
 |  | 1 | Proportional Valve 1 | boost control
 |  | 2 | Proportional Valve 2 | decompression valve
 |  | 3 | Proportional Valve 3 | fan step
 |  | 4 | Proportional Valve 4 | fan step
 |  | 5 | Proportional Valve 5 | no function
 |  | 6 | Proportional Valve 6 | no function
VCU | 1 |  | Starter Lockout |
 |  | 1 | Enable Starter Lockout | Disabled
VCU | 2 |  | Idle/PTO Shutdown |
 |  | 1 | Enable Idle Shutdown | Disabled
 |  | 2 | Idle Shutdown Time | 60 s
 |  | 3 | Enable PTO Shutdown | Disabled
 |  | 4 | PTO Shutdown Time | 60 s
 |  | 5 | Maximum Engine Load for PTO Shut Down | 100 Nm
 |  | 6 | Time for CEL before Idle/PTO Shutdown | 20 s
 |  | 7 | Time for SEL before Idle/PTO Shutdown | 10 s
 |  | 8 | Minimum Coolant Temperature for Idle Shutdown | -10 °C
 |  | 9 | Enable Idle/PTO Shutdown Override | Enabled
VCU | 3 |  | Engine Protection |
 |  | 1 | Enable Engine Protection Shutdown on Coolant Temp | Enabled
 |  | 2 | Enable Engine Protection Shutdown on Coolant Level | Enabled
 |  | 3 | Enable Engine Protection Shutdown on Oil Pressure | Enabled
 |  | 4 | Enable Engine Protection Shutdown on Oil Level | Disabled
 |  | 5 | Engine Protection Shutdown Time, Except Oil Pressure | 60 s
 |  | 6 | Engine Protection Shutdown Time on Oil Pressure | 30 s
 |  | 7 | Counter of Engine Protection Shutdown Override | 0
 |  | 8 | Time CEL before on Engine Protection Shutdown | 20 s
 |  | 9 | Time SEL before on Engine Protection Shutdown | 10 s
VCU | 4 |  | RQV |
 |  | 10 | Enable Limiting Torque Ramp Increment | Disabled
 |  | 11 | Limiting Torque Ramp Increment | 3 Nm/10ms
 |  | 15 | Ramp Up Rate | 160 rpm/sec
 |  | 16 | Minimum Engine Torque | 25 %
VCU | 5 |  | Engine Brake |
 |  | 1 | Minimum Engine Speed for Engine Brake | 1100 rpm
 |  | 2 | Maxinum Throttle position for Engine Brake | 3.5 %
 |  | 3 | Enable Engine Brakes on Service Brake | Disabled
 |  | 4 | Minimum Engine Brakes Road Speed Limit | 0 km/h
 |  | 5 | Enable Engine Brakes on Cruise Control | Disabled
 |  | 6 | Maximum Cruise Control Over-Speed for Engine Brake L | 5.0 km/h
 |  | 7 | Minimum Cruise Control Over-Speed for Engine Brake L | 2.0 km/h
 |  | 8 | Maximum Cruise Control Over-Speed for Engine Brake H | 8.0 km/h
 |  | 9 | Minimum Cruise Control Over-Speed for Engine Brake H | 5.0 km/h
 |  | 10 | Road Speed Limit Over-Speed for Automatic Engine Brake | 0.0 km/h
 |  | 11 | Engine Brake Configuration | Turbo Brake
 |  | 12 | Engine Brake Stage 1 Mask | stage 1
 |  | 13 | Engine Brake Stage 1 Factor | 100 %
 |  | 14 | Engine Brake Stage 2 Mask | stage 3
 |  | 15 | Engine Brake Stage 2 Factor | 50 %
 |  | 16 | Engine Brake Stage 3 Mask | stage 3
 |  | 17 | Engine Brake Stage 3 Factor | 100 %
 |  | 18 | Engine Brake Transmission Mask | stage 3
 |  | 19 | Engine Brake Transmission Factor | 100 %
VCU | 6 |  | ABS-Type |
 |  | 1 | ABS Type | ABS Only
VCU | 7 |  | Cruise Control |
 |  | 1 | Minimum Road Speed for Cruise Control | 48 km/h
 |  | 2 | Maximum Set Speed for Cruise Control | 95 km/h
 |  | 9 | Enable Cruise Auto Resume | Disabled
VCU | 8 |  | Limiters |
 |  | 1 | Road Speed Limit | 100 km/h
 |  | 2 | Second Road Speed Limit | 152 km/h
 |  | 3 | Torque Factor Gear Down Protection | 1.00
 |  | 4 | Gear Ratio for Gear Down Protection | 0.010 km/h/rpm
 |  | 5 | Torque Factor for High Gear Power | 1.00
 |  | 6 | Gear Ratio for High Gear Power | 0.020 km/h/rpm
 |  | 7 | Torque Factor for Cruise Power | 1.00
 |  | 8 | Maximum Engine Speed for Progressive Shifting | 3000 rpm
 |  | 9 | Gears up to Gear Ratio for which Max Engine Speed applies | 0.015 km/h/rpm
 |  | 11 | Power Rating Selection | 0
 |  | 12 | Power Rating with Cruise Control | 4
VCU | 9 |  | Fan Configuration |
 |  | 1 | Enable Automatic Fan Activation on Engine Brake | Disabled
 |  | 2 | Enable Automatic Fan Activation on Air Condition Input | Enabled
 |  | 3 | Enable Automatic Fan Activation on PTO | Disabled
 |  | 4 | Coolant Temperature Limit to Enable Automatic Fan. | -10 °C
 |  | 5 | Coolant Temperature Limit to Disable Automatic Fan. | -13 °C
VCU | 10 |  | Fast Idle |
 |  | 1 | Enable Fast Idle on Air Condition Input | Disabled
 |  | 2 | Fast Idle Speed | 500 rpm
 |  | 3 | Desired Fast Idle Speed Ramp Rate | 250 rpm/s
 |  | 5 | Desired Idle Speed Ramp Rate | 100 rpm/s
 |  | 6 | Maximum Adjusted Idle Speed | 500 rpm
 |  | 7 | Maximum Road Speed for Idle Increment/Decrement | 9.6 km/h
 |  | 8 | Engine Speed Limit at Vehicle Standstill | 3000 rpm
 |  | 9 | Low Idle Speed | 600 rpm
 |  | 10 | Max Engine Speed | 3000 rpm
VCU | 11 |  | PTO Function |
 |  | 1 | Enable PTO Function | Enabled
 |  | 2 | Maximum PTO Engine Speed | 1200 rpm
 |  | 3 | Minimum PTO Engine Speed | 600 rpm
 |  | 4 | Enable PTO Throttle Override | Disabled
 |  | 5 | Max Engine Speed for Throttle Override | 1400 rpm
 |  | 6 | Enable PTO Dropout on Service Brake | Enabled
 |  | 7 | Enable PTO Dropout on Clutch | Enabled
 |  | 8 | Max Road Speed in PTO | 9.7 km/h
 |  | 9 | PTO Set Speed with Cruise SET Switch | 1000 rpm
 |  | 10 | Set PTO Governor Type | 1
 |  | 11 | Set PTO Maximum Engine Torque | 813 Nm
 |  | 12 | PTO Set Speed with Cruise RES Switch | 950 rpm
 |  | 13 | RES PTO Governor Type | 1
 |  | 14 | RES PTO Maximum Engine Torque | 813 Nm
 |  | 15 | PTO Ramp Rate | 200 rpm/s
 |  | 16 | Number of Remote PTO Speeds | 1
 |  | 17 | PTO Speed #1 | 950 rpm
 |  | 18 | PTO Speed #1 Governor Type | 1
 |  | 19 | PTO Speed #1 Maximum Engine Torque | 600 Nm
 |  | 20 | PTO Speed #2 | 1250 rpm
 |  | 21 | PTO Speed #2 Governor Type | 1
 |  | 22 | PTO Speed #2 Maximum Engine Torque | 600 Nm
 |  | 23 | PTO Speed #3 | 1850 rpm
 |  | 24 | PTO Speed #3 Governor Type | 1
 |  | 25 | PTO Speed #3 Maximum Engine Torque | 600 Nm
 |  | 26 | Transmission Type | Automated Shift Transmission
 |  | 27 | Droop Control Mode Enable | Disabled
 |  | 29 | Droop Maximum Engine Torque | 5000 Nm
 |  | 30 | Enable Park Brake with PTO | Disabled
 |  | 31 | Enable Park Brake with Logical PTO | Enabled
VCU | 12 |  | Acc. Pedal |
 |  | 7 | Idle Validation Switch Limp Home Engine Speed 1300 rpm |
 |  | 11 | Remote Accelerator Pedal Idle Position 10.0 % |
 |  | 12 | Remote Acceleration Pedal Wide Open Position 77.5 % |
VCU | 13 |  | Input Configuration |
 |  | 1 | Enable Remote Accelerator Input | Disabled
 |  | 2 | Enable Coolant Level Input | Enabled
 |  | 3 | Enable Air Condition Input | Enabled
 |  | 4 | Enable Air Filter Input | Disabled
 |  | 5 | Enable Service Brake Input | Enabled
 |  | 6 | Enable Transmission Neutral Input | Disabled
 |  | 7 | Enable Park Brake Input | Disabled
 |  | 8 | VSS Input Configuration | Magnetic Pickup VSS
 |  | 9 | Axle Ratio | 3.42
 |  | 10 | Number of Output Shaft Teeth | 16
 |  | 11 | Tire Revolutions Per Km | 347 1/kmh
 |  | 12 | Top Gear Ratio | 0.74
 |  | 13 | Two Speed Axle - Second Axle Ratio | 5.29
 |  | 22 | Configuration for CC Switch On/Off | HardWired
 |  | 23 | Configuration for CC Switch Set/Resume | HardWired
 |  | 24 | Configuration for CC Switch Pause | HardWired
 |  | 25 | Configuration for Service Brake Switch | HardWired
 |  | 26 | Configuration for Park Brake Switch | HardWired
 |  | 27 | Configuration for Clutch Switch | HardWired
 |  | 28 | Configuration for two speed Axle Switch | HardWired
 |  | 29 | Configuration for Engine Brake Switch | HardWired
VCU | 16 |  | Fleet Management |
 |  | 1 | Enable Fleet Management | Enabled
 |  | 8 | Second Highest Gear Ratio | 2.55 RPM/RPM
 |  | 9 | Fuel Density | 835 kg/m3
VCU | 17 |  | CAN |
 |  | 1 | Enable Can One Wire Capability on VCU | Enabled
VCU | 18 |  | Vehicle Identification Number |
 |  | 0 | VIN | 1FVHA6CV84PM24263
VCU | 20 |  | Cold Start Device |
 |  | 1 | Cold Start Configuration | No Cold Temp Start Device

See also:

Changing PLD/VCU parameter values using the Detroit Diesel Diagnostic Link

VCU version 13 and PLD Parameters that can be changed in DDDL for a list of PLD/VCU version 13 parameters that can be changed in the Detroit Diesel Diagnostic Link.

MBE Parameter List Appendix in the Troubleshooting help for complete parameter lists of PLD and VCU default values (PLD versions 4, 5 and 6; VCU versions 11.03, 12.xx and 13).


VCU version 13 and PLD Parameters that can be changed in DDDL

Parameters shown in green text can be changed using DDDL

VCU / PLD | Group No. | Param. No. | Group name / Parameter name | Example Setting
PLD | 0 |  | Engine Serial Number |
 |  | 0 | Engine Serial Number |
PLD | 1 |  | Engine Identification |
 |  | 1 | Engine Number | 1792
 |  | 2 | Manual/Automatic transmission | Manual
 |  | 3 | Starter type (Control over PLD or externally) | Starter Activated Directly via Terminal 50(KB)
PLD | 2 |  | CAN Configuration |
 |  | 1 | Engine Contrl Via CAN | Switch ON
 |  | 2 | CAN One Wire Capability | Active
 |  | 3 | CAN Extended | 11 Bit ID
PLD | 3 |  | Proportional Valves |
 |  | 1 | Proportional Valve 1 | boost control
 |  | 2 | Proportional Valve 2 | decompression valve
 |  | 3 | Proportional Valve 3 | fan step
 |  | 4 | Proportional Valve 4 | fan step
 |  | 5 | Proportional Valve 5 | no function
 |  | 6 | Proportional Valve 6 | no function
VCU | 1 |  | CAN Configuration |
 |  | 2 | Engine CAN Limp Home Mode | 3
 |  | 3 | SAE J1939 3. Source Address TSC1 | 231
VCU | 2 |  | Vehicle Parameters I |
 |  | 1 | Transmission Type | manual /clutch switch
 |  | 2 | ABS/ATC Type | no ABS
 |  | 3 | Configuration Relay 2 | disabled
 |  | 4 | Hardware Type | 12V 3 connectors
 |  | 5 | Engine brake outputs | MBR_BK and MBR_KD disabled
 |  | 6 | Grid heater | disabled
 |  | 8 | Configuration pin 15/6 | MBR_BK/MBR_KD
VCU | 3 |  | Common Limiters |
 |  | 1 | Minimum Engine Speed | 500 rpm
 |  | 2 | Maximum Engine Speed | 3000 rpm
 |  | 3 | Maximum Road Speed (legal) | 152 km/h
 |  | 4 | Maximum Engine Torque | 5000 Nm
 |  | 7 | Engine Speed Limit while vehicle stop | 3000 rpm
 |  | 10 | Maximum Adjusted Idle Speed | 850 rpm
 |  | 11 | Max. Road Speed for Idle Inc./Dec. | 10 km/h
VCU | 5 |  | Limiters LIM0 and LIM1 |
 |  | 1 | Minimum Engine Speed LIMO enabled | 500 rpm
 |  | 2 | Maximum Engine Speed LIMO enabled | 4000 rpm
 |  | 3 | Maximum Road Speed LIMO enabled | 152 km/h
 |  | 4 | Maximum Engine Torque LIMO enabled | 5000 Nm
 |  | 5 | Minimum Engine Speed LIM1 enabled | 500 rpm
 |  | 6 | Maximum Engine Speed LIM1 enabled | 4000 rpm
 |  | 7 | Maximum Road Speed LIM1 enabled | 152 km/h
 |  | 8 | Maximum Engine Torque LIM1 enabled | 5000 Nm
VCU | 6 |  | Limiters AC/LIM2 |
 |  | 1 | Enable Fast Idle on Air Condition Input | enable LIM2 limiter (6/3..6/6)
 |  | 2 | Fast Idle Speed on Air Condition | 600
 |  | 3 | Minimum Engine Speed LIM2 Enabled | 500 rpm
 |  | 4 | Maximum Engine Speed LIM2 Enabled | 4000 rpm
 |  | 5 | Maximum Road Speed LIM2 Enabled | 152 km/h
 |  | 6 | Maximum Engine Torque LIM2 Enabled | 5000 Nm
VCU | 7 |  | PTO Control on PTO and CC pin |
 |  | 1 | Configuration PTO Speed Control | disabled
 |  | 2 | Maximum PTO Speed with CC+ Switch | 3000 rpm
 |  | 3 | Minimum PTO Speed with CC- Switch | 500 rpm
 |  | 4 | PTO Throttle Override Enable | Enable engine speed in PTO mode to be increased with throttle input
 |  | 5 | Max. Engine Speed for Throttle Override | 3000 rpm
 |  | 6 | PTO dropout on Service break or park brake enabled | Allows PTO to run independent of service brake or park brake position
 |  | 7 | PTO dropout on clutch | enabled Allows PTO to run independent of the clutch position
 |  | 8 | Maximum Road Speed in PTO Mode | 10 km/h
 |  | 9 | PTO Set Speed with CC- Switch | 500 rpm
 |  | 10 | PTO Governor Type with CC- Switch | 1
 |  | 11 | Max. PTO Torque with CC- Switch | 5000 Nm
 |  | 12 | PTO Set Speed with CC+ Switch | 500 rpm
 |  | 13 | PTO Governor Type with CC+ Switch | 1
 |  | 14 | Max. PTO Torque with CC+ Switch | 5000 Nm
 |  | 15 | PTO Ramp Rate | 1000 rpm/s
 |  | 16 | Number of Speeds via Remote PTO (Pin 18/10) | 1
 |  | 17 | PTO Speed #1 | 950 rpm
 |  | 18 | PTO Speed #1 Governor Type | 1
 |  | 19 | PTO Speed #1 Maximum Engine Torque | 5000 Nm
 |  | 20 | PTO Speed #2 | 1250 rpm
 |  | 21 | PTO Speed #2 Governor Type | 1
 |  | 22 | PTO Speed #2 Maximum Engine Torque | 5000 Nm
 |  | 23 | PTO Speed #3 | 1850 rpm
 |  | 24 | PTO Speed #3 Governor Type | 1
 |  | 25 | PTO Speed #3 Maximum Engine Torque | 5000 Nm
VCU | 8 |  | Vehicle Speed Sensor |
 |  | 1 | Vehicle Speed Sensor | no vehicle sensor
 |  | 3 | Axle Ratio | 5.290
 |  | 4 | Number of Output Shaft Teeth | 16
 |  | 5 | Tire Revolutions per Kilometer | 312 1/km/h
 |  | 6 | Top Gear Ratio | 1.000
 |  | 7 | Second Highest Gear Ratio | 2.550
 |  | 8 | Gear Ratio Tolerance | 2.00
 |  | 9 | Two Speed Axle - Second Axle Ratio | 5.290
 |  | 10 | Anti Tamper | disabled
VCU | 10 |  | Engine Brake |
 |  | 1 | Minimum Engine Speed for Engine Brakes | 1100 rpm
 |  | 2 | Maximum Throttle Position for Engine Brakes | 4 %
 |  | 3 | Enable Engine Brakes on Service Brake | disable
 |  | 4 | Minimum Road Speed for Engine Brake Operation. | 0 km/h
 |  | 5 | Enable Engine Brake on Road Speed Limiter | 5 km/h
 |  | 6 | Enable Engine Brakes on Cruise Control | disable
 |  | 7 | CC Eng. Brake 1 on | 5 km/h
 |  | 8 | CC Eng. Brake 1 off | 2 km/h
 |  | 9 | CC Eng. Brake 2 on | 7 km/h
 |  | 10 | CC Eng. Brake 2 off | 5 km/h
 |  | 11 | CC Eng. Brake 3 on | 10 km/h
 |  | 12 | CC Eng. Brake 3 off | 6 km/h
 |  | 13 | Engine Brake Configuration | MBR_KD MBR_BK
 |  | 14 | Engine Brake Stage 1 Mask | decompression valve only
 |  | 15 | Engine Brake Stage 1 Factor | 100 %
 |  | 16 | Engine Brake Stage 2 Mask | decompression valve and exhaust flap
 |  | 17 | Engine Brake Stage 2 Factor | 100 %
 |  | 18 | Engine Brake Stage 3 Mask | decompression valve and exhaust flap
 |  | 19 | Engine Brake Stage 3 Factor | 100 %
 |  | 20 | Engine Brake Transmission Mask | decompression valve only
 |  | 21 | Engine Brake Transmission Factor | 100 %
VCU | 11 |  | Accelerator Pedal |
 |  | 3 | Idle Validation Switch Limp Home Engine Speed | 875 rpm
 |  | 4 | Limp Home Ramp Up on Idle Validation Switch | 250 rpm/s
VCU | 13 |  | Inputs |
 |  | 1 | Coolant Level Sensor Input (KW_SE) | disable
 |  | 3 | Enable Air Filter Sensor Input | disable
 |  | 4 | Enable Service Brake Input enable |
 |  | 5 | Configuration Service Brake Switch | 0
 |  | 7 | Enable Transmission Neutral Input (NE) | J1939 (ETC2) e.g. no switch
 |  | 8 | Enable Park Brake Input | disable
 |  | 9 | Configuration Park Brake Switch | 0
 |  | 11 | Configuration CC switch ON/OFF hardwired |
 |  | 12 | Configuration CC set/resume | hardwired
 |  | 13 | Configuration CC Pause | disabled
 |  | 14 | Configuration2nd axle speed switch | hardwired
 |  | 15 | Configuration clutch | hardwired
 |  | 16 | Configuration engine brake switch | hardwired
VCU | 15 |  | Cruise Control I |
 |  | 1 | Minimum Road Speed for Cruise Control | 48 km/h
 |  | 2 | Maximum Set Speed for Cruise Control | 152 km/h
 |  | 7 | Enable Cruise Auto Resume | disable
VCU | 16 |  | Relay 1/Starter Lockout |
 |  | 1 | Output Relay 1/Starter Lockout | disable
VCU | 17 |  | Idle/PTO Shutdown |
 |  | 1 | Enable Idle Shutdown | disable
 |  | 2 | Idle Shutdown Time | 60 s
 |  | 3 | Enable PTO Shutdown | disable
 |  | 4 | PTO Shutdown Time | 1000 s
 |  | 5 | Maximum Engine Load for PTO Shutdown | 100 Nm
 |  | 6 | Time for CEL before Idle/PTO Shutdown | 20 s
 |  | 7 | Time for SEL before Idle/PTO Shutdown | 10 s
 |  | 8 | Minimum Coolant Temp | -10 °C
 |  | 9 | Enable Idle/PTO Shutdown Override | enable allows "Engine Check" switch (MABSCH_SP) to override engine idle/PTO shutdown
VCU | 18 |  | Engine Protection Shutdown |
 |  | 1 | Engine Protection Shutdown on Coolant Temperature | enable
 |  | 2 | Engine Protection Shutdown on Coolant Level | disable
 |  | 3 | Engine Protection Shutdown on Oil Pressure | enable
 |  | 4 | Engine Protection Shutdown on Oil Level | disable
 |  | 5 | Engine Protection Shutdown Time | 60 s
 |  | 6 | Engine Protection Shutdown Time on Oil Pressure | 30 s
 |  | 7 | Counter of Engine Protection Shutdown Overrides | 0
 |  | 8 | Time for CEL before Engine Protection Shutdown | 20 s
 |  | 9 | Time for SEL before Engine Protection Shutdown | 10 s
VCU | 19 |  | Automatic Fan Activation |
 |  | 1 | Enable Automatic Fan Activation on Engine Brake | disable
 |  | 3 | Enable Automatic Fan Activation on Air Conditioner | disable
 |  | 5 | Enable Automatic Fan Activation on PTO | disable
 |  | 8 | Cool.Temp.at 0% Fan | 80 °C
 |  | 9 | Cool.Temp.at100% Fan | 100 °C
VCU | 20 |  | Remote Accelerator Pedal |
 |  | 1 | Enable Remote Accelerator Pedal Input | disable
 |  | 5 | Remote Accelerator Pedal Idle Position | 20 %
 |  | 6 | Remote Accelerator Pedal Wide Open Position | 78 %
VCU | 21 |  | Droop Control Mode |
 |  | 1 | Droop Control Mode | disable
 |  | 2 | Droop Control Governor Type | 1
 |  | 3 | Droop Maximum Engine Torque | 5000 Nm
VCU | 23 |  | Limiters II |
 |  | 1 | Torque factor gear down protection | 1.00
 |  | 2 | Gear ratio for gear down protection | 0.010 km/h/rpm
 |  | 3 | Torque factor high gear power | 1.00
 |  | 4 | Gear ratio for high gear power | 0.020 km/h/rpm
 |  | 5 | Torque factor for cruise power | 1.00
 |  | 6 | Max engine speed for progressive shifting | 3000 rpm
 |  | 7 | Gear Ratio for Progressive Shifting | 0.015 km/h/rpm
 |  | 8 | Engine Speed Threshold | 50 rpm
 |  | 9 | Min. Engine Speed Threshold | 1200 rpm
 |  | 10 | Ramp up Rate | 160 rpm/sec
 |  | 11 | Minimum Eng. Torque | 100 %
 |  | 12 | Droop Parameter | 3.0 Nm/rpm
VCU | 26 |  | Vehicle Identification Number |
 |  | 0 | VIN | 00000000000000000
VCU | 27 |  | Fleetmanagement |
 |  | 1 | Enable Fleet Management | enabled
 |  | 2 | Enable Hard Brake Incident | enabled
 |  | 3 | Enable Service Interval Data | enabled
 |  | 4 | Enable Monthly Trip Data | enabled
 |  | 5 | Enable Detailed Allert Data | enabled
 |  | 6 | Enable Engine Usage Data | enabled
 |  | 7 | Fuel Density | 835 kg/m3

See also:

Changing PLD/VCU parameter values using the Detroit Diesel Diagnostic Link

VCU version 12 and PLD Parameters that can be changed in DDDL for a list of PLD/VCU version 12 parameters that can be changed in the Detroit Diesel Diagnostic Link.

MBE Parameter List Appendix in the Troubleshooting help for complete parameter lists of PLD and VCU default values (PLD versions 4, 5 and 6; VCU versions 11.03, 12.xx and 13).


Exporting Engine/Trip data

To export the engine/trip totals:

  1. Press Export in the Engine/Trip Data dialog box.

For an MBE engine, the procedure is now complete.

For a DDEC engine after the data has been exported, you will be asked if you want to reset the trip counters:

Note

You cannot reset the trip counters for an MBE engine when you export from the Engine/Trip Data dialog box. The only way to clear the trip counters for an MBE engine is by doing a data extraction in DDEC Reports.

  2. Press Yes to reset the counters.

If the Vehicle Unit Number in the ECM is blank, or you are using DDEC II or ECM software earlier than version 4, you will be asked to enter the Vehicle Unit Number (note that for DDEC III the Vehicle Unit Number is separate from the Vehicle Identifier that can be set and viewed in Detroit Diesel Communications, but that it is the same for DDEC IV and DDEC V):

  3. Enter the Vehicle Unit Number and press OK.

If you have chosen to reset the trip counters, the Engine/Trip Data dialog box will now show the reset values.

When you export data it is added as comma separated fields to a file called exp-acc.csv in the Report folder located in the folder you chose as your "userdata" folder when you installed Detroit Diesel Diagnostic Link (the default for this is c:\Detroit Diesel\Diagnostic).

The first line in this file gives the headings for the fields.

At the beginning of each month, this file is archived with the name Lxyymmdd.CSV where:

  • L and .CSV are fixed, and
  • x is the PC identifier of the PC: see Fleet Info. Options

and the remaining characters give the date on which the data was last exported, where

  • yy are the final two digits of the year
  • mm is the month
  • dd is the day.


New (calibration)

This menu item has been removed from this version of the Detroit Diesel Diagnostic Link to eliminate any possible confusion with using the default calibration as the starting point.

You can now only create a new calibration by retrieving a calibration from an engine and editing it.

To retrieve the current calibration of the ECM connected to the PC:

Choose Retrieve from the Calibration menu or press [image] to display the Retrieved Calibration dialog box.

Once the data has been uploaded, the Calibration window will show the current settings. You can use this to edit parameters as required and transmit the changed calibration to the ECM.

You can also save the calibration to the PC's hard disk or a diskette by choosing Save As from the File menu to display the Save Calibration Datafile As dialog box so that you can select a folder and enter a filename for the calibration file.

See also

Save

Save As

Save Fleet Cal

Open (calibration)

Retrieve


Notepad

Example of fault code data pasted into Notepad.

You can choose Save As from the File menu to save the codes in a text file.


Save changes warning

  • Press Yes to save the changes in the old calibration and open the new calibration.
  • Press No to open the new calibration without saving the changes.
  • Press Cancel to return to the main window without saving the old calibration or opening the new calibration.